Introduction

Welcome to ImageQuant TL

The User Manual

Hardware and Software Requirements


Welcome to ImageQuant TL

The ImageQuant TL software provides a complete software package to meet your image analysis requirements. The software consists of the following modules:

  • 1D for analysis of 1D electrophoresis gels and blotting results

  • Colony Counter for analysis, for example, colonies on agar culture or spots on 2D gels

  • Array Analysis for analysis of 2D arrays such as microplates

  • Analysis Toolbox for area and profile analysis of acquired images

Each module is started from a common ImageQuant TL Control Centre. Multiple modules may be run at the same time, but the modules are independent of each other.


The User Manual

This user manual provides a complete reference to using ImageQuant TL software, organized by module. Aspects of the software interface that are common to all modules are described in The Common Interface. The Help function in the software provides access to the User Manual in electronic form.

Note:

You should have basic knowledge of how to use the Microsoft™ Windows™ operating system in order to use ImageQuant TL.


Hardware and Software Requirements

Operating systems: Windows XP and Windows 7 Professional (32- and 64 bit).

Processor: 1.4 GHz.

Memory: Minimum 256Mb, recommended 512Mb.

Free hard disk space: Recommended 5Gb.

  • Minimum and recommended specifications are important in order to provide good software performance and reduce installation and operational issues.

  • A general rule to note is that with running any software the more RAM a system has the better.

  • For optimal performance in higher end products or where users may be pushing systems to the limit use the “recommended” specifications.

Note:

You require Administrator privileges for installation. To use the software you do not need Administrator privileges.


Getting started

Software installation

Electronic licensing

Starting the software

Image and experiment files

Tutorial and default images

Technical support


Software installation

Note:

Local administrative privileges must be obtained for installation of ImageQuant TL or IQTL SecurITy.

The IQTL disc contains the installation files for all the items required to run both IQTL softwares.

Step | Action
1 | Insert the disc. The autostart opens the IQTL Software Installation window in your browser. If autostart is disabled, select the DVD/CD in Windows Explorer and launch Setup.exe.
2 | Install each component by clicking the buttons in the installation dialog. Follow the instructions for installation of ImageQuant TL and/or IQTL SecurITy in the windows that open.

Installation of the license server is described in the Appendix.


Electronic licensing

ImageQuant TL softwares require an electronic license (eLicense) to operate. The license file is collected from the GE Healthcare software eLicensing web page using an access code.

Access Code

The access code is delivered after ordering ImageQuant TL to the order’s shipment address. It can also by delivered via email. Store the access code in a safe place.

Note:

If the access code has not been delivered within 7 days of the order, contact technical support to get the access code via telephone.

eLicense web page

Access the homepage from the IQTL Software Installer application (i.e., start Setup.exe on the installation disc) via the link License Activation Homepage.

A description of how the license file is collected is placed in the FAQ section on the homepage.

Types of eLicenses

The eLicense can either be node locked or concurrent (floating). Using a node locked license will be described in the following chapter Starting the software. Concurrent licensing and installation of the eLicense server is described in the Appendix.

Collect the license file from the License Activation Homepage. Access the homepage from the License Activation Homepage link in the IQTL Software Installer (started from Setup.exe on the installation DVD) or eLicense Activation button in the ImageQuant TL License Setup Wizard (see Starting the software).

Descriptions of eLicenses and how they are collected are found under the FAQ section on the homepage.


Starting the software

Step

Action

1

Start ImageQuant TL Control Centre from the Windows start menu or desktop. An End-User License Agreement (EULA) dialog will appear.

2

Click Accept to accept the End-User License Agreement.

If you don't want the EULA dialog to appear at start up, tick the box Don't show this dialog at start up. If you want the EULA dialog back at startup, select show EULA at startup under the help menu in any of the software modules.

3

Start ImageQuant TL or IQTL SecurITy 1D Gel Analysis software from the desktop or from the Start menu.

  • If you start the ImageQuant TL or the IQTL SecurITy 1D Gel Analysis software for the first time, an ImageQuantTL License Setup Wizard dialog is displayed.

  • Select the I am using a Node Locked E-license radio button and click next. The next page in the wizard is displayed.

  • Enter the path to the license file or browse to point it out. Click Finish.

    Concurrent licensing and installation of the eLicense server is described in the Appendix.

4

Start the required module from the appropriate link or icon in the ImageQuant TL Control Centre.

5

Click on either the hyperlink or the button of the analysis module to start your analysis. The last image used will open (or a demo image if no last image used is found).

6

To select another file, click Open and select an individual image or a multi-channel .ds file.

The Online Help hyperlink or button provides you with direct access to the online help facility for the analysis modules.

For more information on each analysis module refer to the relevant section.


Image and experiment files

ImageQuant TL works with image files of type .tif or .tiff (8- and 16-bit greyscale), .gel, .ds and .img files from most types of currently available image capture devices.

When an image file is opened, an experiment file is automatically created with the same name extended by a module specific extension and in the same folder as the image file. Details of image analysis are stored in the experiment file. Select Save or Save as from the file menu to save the image analysis.

When opening another image, closing the module, or running a report, a dialog for saving will appear, even if no changes have been made since last save. The original image file is not changed by the analysis procedures (although it is possible to edit an image in the Image Editor described in Editing images and save the edited version as a new image file using Save as from the file menu in the Image Editor).

Opening an image file which has a valid associated experiment file will automatically open the analysis. The same image file can be associated with experiment files from different modules, but one image file can only be associated with one experiment file from a given module.

Note:

Experiment files are not directly accessible through the user interface. All images and experiments are opened from the appropriate image file. Moving or deleting experiment files without the corresponding image files in Windows Explorer will break the association between the experiment and the image. The image file name is stored in the experiment file, so renaming the image file will also break the association between the experiment and the image.


Tutorial and default images

A set of tutorial images is installed with the software to help you get started in using ImageQuant TL. There is also a default image for each module that is opened if the most recently used image cannot be found. The images are installed in a hidden folder to ensure that the default images are always available. To use the tutorial images, choose Restore Default Image from the Help menu to copy the tutorial images to a folder of your choice. You can copy the images as many times as you need: the original tutorial and default images will not be affected. You can also copy the demo images to a selected folder by using the Copy Demo Images option in the Help menu of any module.


Technical support

Should any problems arise with the installation or use of ImageQuant TL, please contact your local sales support office (visit www.gelifesciences.com/contact for contact information).


The Common Interface

The following sections describe the menus, buttons and windows that are common to all the analysis modules.

The main window

Main menu

Annotations

Contrast

Color

Toolbar

Editing images

The navigator panel

Program windows

Status bar


The main window

After you select an analysis module and image from the Open dialog box the main window appears for the selected analysis module. The main window contains a main menu bar, toolbar, navigator and additional windows (the example below is taken from the 1D module).


Main menu

The Main menu bar, located at the top of the main window, provides the majority of commands and options available in the software.

File menu

You can perform the following actions from the File menu.

Note:

If you have made changes to the current experiment, you will be prompted to save your work when you close the module or open another image.

Command

Description

Open Image

Displays a dialog box that allows you to locate and open an image file. The same dialog box appears if you click the Open button on the toolbar.

Save

Saves the image and the experiment file.

(Saving an edited image is done from the file menu in the Image Editor, see Editing images)

Save As

Saves the image and experiment file with a new name. You will be prompted for the image file name: the same name is used for the experiment file (see Image and experiment files).

Create Multi-plex Image

Creates a multi-channel image from up to 4 source images. See Creating a multi-channel image for details. This function is not available for the Colony Counter module.

Invert Measurements

Most images have high pixel values (high intensities) in the black areas of the image and low values in the white areas. However, in some images, the spots have a low intensity (and therefore low volume) compared to the background. The Invert Measurements command allows you to correct this by inverting all the pixel values before using them to calculate the measurements.

To invert a pixel value, the software subtracts the value from the maximum possible pixel value in the image. For example if the image has a pixel value range from 0 to 255 and the software inverts a pixel that has a value of 50, the inverted value would be (255 - 50) = 205.

Image Properties

Displays the image properties on three tabs: File info, Scan info and History. The information in these tabs cannot be edited.

  • The File info tab displays information about the image, for example the file name, size and image dimensions.

  • The Scan info tab displays information relating to the scanning of the image, for example the make and model of the scanner, the date and time of scan and the resolution. It also shows any comments entered during image acquisition.

  • The History tab displays the name of the image and a list of any editing operations performed on the image.

Print

Prints the currently active window.

Print Setup

Sets page size and orientation and properties for the currently selected printer.

Print Preview

Displays a preview of the printout.

Printing Options

Displays the Options:Printing/Copying tab that controls printing and export of images and data. See Printing/Copying tab for details.

Exit

Closes the current module. The Control Centre remains open.
Edit menu

This section describes commands in the Edit menu that are common to all modules. Additional menu items specific to certain modules are described in the module chapters.

Command

Description

Copy to clipboard

Copies the contents of the active window to the clipboard, so that the data or image can be pasted into other applications.

Contents of image and graphical windows are copied as graphical objects.

Contents of windows containing tabulated data are copied as tab-separated text.

Export to file

Exports the contents of the active window to a file.

Contents of image and graphical windows are exported in Windows bitmap format (.bmp). If it is an image, a dialog will appear where the DPI value can be specified.

Note:

The DPI value shown in the dialog is not the DPI value of the original image.

Contents of windows containing tabulated data are exported to tab-separated text files (.txt).

Export to Excel

Exports the contents of the active window directly to a Microsoft Excel™ spreadsheet. This option is only available if Microsoft Excel is installed on your computer and applies only to the Image and Measurements windows.

Contents of the image window are exported as a matrix of pixel intensity data, with each cell in the spreadsheet representing one pixel in the image. For multi-channel images, Export to Excel is can only be used in single-channel view mode, and data is exported for the currently active channel.

Edit image

Opens the image editor. See Editing images for details.
View menu

The View menu contains the following commands:

Command

Description

Channel Display

Allows you to display the channels by selecting the preferred options in drop down menu. Only one channel can be selected for the Single Channel View while multiple channels can be selected for the Channel Overlay View.

Zoom to Fit

If this option is checked, the image will be rescaled to fill the image window whenever you change the window size.

Contrast

Opens a dialog box for adjusting the contrast in the displayed image. See Contrast for details.

Note:

Changing the contrast affects the screen display, reports and printouts. Analysis and calculations are however always performed with reference to the original image.

Colour

Opens a dialog box for adjusting the color in the displayed image. See Color for details.

Note:

Changing the color affects the screen display, reports and printouts. Analysis and calculations are however always performed with reference to the original image.

Options

Displays a dialog box containing settings tabs relevant to the active analysis module. See the Options section in the appropriate module chapter for details.
Analysis menu

Commands on the Analysis menu are unique to each analysis module, with the exception of the Annotate Image command. For information on module-specific commands, see the appropriate chapter in this User Manual. For information on annotations see Annotations.

Window menu

The Window menu contains the following commands:

Command | Description
Arrange windows | Restores all windows to the default arrangement for the module (including re-opening any windows that might have been closed).
Close all windows | Close all open windows, but does not close the experiment or the software.
<List of open windows> | Lists the currently open windows. The active window is checked.
Help menu

The Help menu contains the following commands:

Command | Description
Contents | Displays the online user manual.
Restore Default Image | Restores the default image for each analysis module. The default image is installed with the software and is intended for tutorial use.
Copy Demo Images | Copies the demo images into a new folder. The folder is selected from the browser dialog.
Show EULA at startup | Display the End User License Agreement dialog every time you start the software program.
Version number | Displays the version number of the software module.
About | Displays details of the installed software including version number.


Annotations

Annotations are text labels with optional arrows to precisely locate and identify selected areas of an image.

You can create any number of annotations on a single- or multi-channel image to highlight a particular area of interest. Annotations on a multi-channel image are visible in all channels, regardless of whether they are created in single channel or overlay view mode.

Enter the annotation mode

Select Analysis:Annotate Image or click the Annotate button on the toolbar to enter the Annotation mode.

Leave the annotation mode

To leave Annotation mode, click Done in the Navigation panel or choose any available analysis tool.

Adding annotations

To add an annotation to the image shown in the image window:

Step | Action
1 | Select Analysis:Annotate Image or click the Annotate button on the toolbar.
2 | Position the pointer over the location in the image window that you want to annotate. The pointer should be the standard arrow, indicating that you are not over any other items in the window.
3 | Left-click to add the annotation. Alternatively drag with the mouse to the position where you want the text label. The anchor arrowhead remains in the original position.
4 | Type your text into the text entry box.
5 | Press ENTER to accept the text or press Esc to stop editing without accepting any text. You will be able to enter or edit text later.
Annotation style

You can change the annotation style using the options in the Parameters tab in the Navigator. Options include font settings, text orientation and settings for outline and fill properties for annotation boxes.

Command | Description
Select Font Style | Displays the font dialog box that allows you to set the font style for your annotations.
Text Outline | Set the shape of the border around the text of your annotations from the drop-down list. You can select a rectangle, rounded rectangle or no border.
Fill Colour | Set the color for the background of the text area of your annotations from the drop-down list. This option is disabled if you have chosen a transparent background.
Opaque background | Check this option if you want the text of the annotation displayed on a colored background, or clear the check box if you want the text displayed directly on the image.
Line Thickness | Select the line thickness for the anchor arrow in annotations. If you choose No line, your annotation appears as a moveable text box only.
Colour | Select the color for the anchor arrow in annotations. The default color is green.
Text orientation | Choose the orientation for text display. Annotations that are set to vertical text are displayed horizontally while the text is being edited.

Changes to the annotation style will affect currently selected annotations as well as annotations that are created subsequently. Previously created annotations that are not selected are not affected.

Selecting/deselecting annotations

To select a single annotation, click on any part of the annotation. The selected annotation is identified by a red border on the text box. This border is included in images printed or exported from Annotation mode but is not shown in other situations.

Use Ctrl-click to select or deselect multiple annotations. Right click and choose Select all or Deselect all to select or deselect all annotations.

Editing annotation texts

To edit annotation text, click twice on the text box or right-click and select Edit text.

Moving annotations

Move whole annotation

To move the whole annotation (text box and anchor arrow) drag the line connecting the text box to the arrowhead. The pointer changes to a hand when the line is selected.

Move text box only

To move the text box of an annotation without moving the anchor arrow, drag the text box. The text box is outlined when it is selected.

Move anchor arrow only

To move the anchor arrow without moving the text box, drag the arrowhead. The pointer changes to a crosshair when the arrowhead is selected.

Move multiple annotations

To move multiple annotations, select the annotations and drag on any of the selected annotations. All selected annotations are moved together. You cannot move the text boxes or arrowheads separately for multiple selections.

Deleting annotations

Press Delete on the keyboard or click Delete selected annotations in the Navigator panel to delete currently selected annotations.

Note:

Deleted annotations cannot be restored except by re-entering them.

When one or more annotations are deleted, the next most recently added annotation will be automatically selected. Press Tab on the keyboard to select single annotations in the reverse order that they were entered.

To delete the text of an annotation without removing the annotation itself, use the text editing function.


Contrast

Choose View:Contrast or click the Contrast button on the toolbar to open the contrast dialog, where the contrast and brightness for the image can be changed.

Note:

Changing the contrast affects only the display in the image window. Analysis and measurements are not affected. Changing the contrast can however make faint features easier to see in some situations.
Channel selector

For multi-channel images, contrast is applied to one channel at a time. Select the channel in this list.

Invert display

This check box indicates whether the current color scheme should be inverted or not; click it to toggle the option on or off. Works on all channels at once. Inverting an image reverses the mapping of image pixels to the display color scale.

Note:

  • For greyscale images, this is equivalent to generating a photographic negative. For colored images, however, inverting the display does not generate a color negative (which uses complementary colors).

  • The Invert display function is served by a check-box for Reverse Colours in the Colour Scheme dialog.
Image area

The image area displays a thumbnail of the entire image, regardless of the zoom factor in the image window.

By default, the image histogram (see below) is calculated for the whole image. If you drag with the mouse to enclose a rectangle (called the area of interest) on the thumbnail, the histogram will be calculated for the enclosed rectangle.

Note:

This can help you to adjust contrast more precisely: however, adjustments are applied to the whole image and not just to the area of interest.
Image histogram

The Image Histogram displays the frequency with which each pixel intensity occurs within the area of interest. Peaks in the histogram represent the pixel intensities that occur most frequently within the current area of interest.

Adjusting the brightness and contrast

Change the pixel intensity range in the histogram

The left and right red vertical lines on the histogram show the pixel intensities in the image that will be mapped to the end colors in the display image (see Color). Drag these limit lines to change the range of pixel intensities that will be mapped to display colors. You can also set the position of the limits numerically in the Low and High fields.

Change contrast response curve type

By default, pixel intensities in the original image are mapped to display colors using a linear contrast response, that is, a straight line drawn between the lowest and highest intensities (shown by the red line on the histogram and indicated as Manual in the dialog). Alternative contrast response curves (Curve, Sigmoidal and Hi-contrast) can be selected from the drop-down list.

Adjust contrast brightness in the image

Use the brightness [image] and contrast [image] sliders to adjust brightness and contrast in the displayed image. The detailed effects of these sliders depend on the currently selected contrast response curve.

Reset default values

Click Defaults to restore the default settings for the original image.


Color

Choose View:Colour or click the Colour button on the toolbar to open the Colour Scheme dialog where the display colors for the image can be changed.

Note:

Changing the color affects only the display in the image window. Analysis and measurements are not affected. Changing the color can however make faint features easier to see in some situations.

Color scheme

Each Colour Scheme is defined by three colors, for pixels of high, medium and low intensity respectively. The display image is colored by mapping the pixel intensity in the original image to a continuous color scale defined by these three colors. In addition, rainbow color is another option that is represented by the colors in the rainbow. The scale is reversed if Invert display is selected (see Invert display).

Choose the Colour Scheme that best visualizes your experimental material. Images are printed and exported with the current Colour Scheme, so that selecting for example the Silver stain scheme allows images to be exported and published with silver stain coloration even if the original scanned image is greyscale.

Note:

For multi-channel images, Colour is only available in channel overlay view mode. In single channel view mode only the grey scale option is available and the Colour pane is greyed out. In channel overlay view mode it is possible to change colors of each channel, but the number of colors are limited.

Color scheme list

Colour Scheme | Description
Grey Scale | From black to white, mid-point grey.
Coomassie Blue | From very dark to very light in a blue color simulating Coomassie Blue staining.
Silver stain | From very dark to very light in a brown color simulating silver staining.
Pseudocolour 1 | From red to blue, mid-point green.
Pseudocolour 2 | From cyan to yellow, mid-point dark purple.
Pseudocolour 3 | From yellow to dark green, mid-point orange.
Rainbow | Multi color option.
Blue | From black to blue, mid-point dark blue.
Green | From black to green, mid-point dark green.
Yellow | From black to yellow, mid-point dark yellow.
Red | From black to red, mid-point dark red.


Toolbar

The main toolbar, located just below the main menu bar, provides quick access to the software's most frequently used tools and commands.

The toolbar buttons are common to all modules. Module-specific buttons are located in the Navigator and are described in the separate module chapters.

Command | Toolbarbutton | Description
Open |  | Opens an image for analysis. If the image file has an associated experiment file, the experiment is also opened.
Copy |  | Copies the contents of the active window to the clipboard.
Print |  | Prints the contents of the active window.
Preview |  | Displays a preview of the print output.
Annotate |  | Activates Annotation mode for the image window.
Contrast |  | Opens the Contrast dialog.
Colour |  | Opens the Colour dialog.
Options |  | Opens the Options dialog.
Edit image |  | Opens the Image editor dialog.
Single |  | Activates single channel view mode. This button is only relevant for multi-channel images, and is permanently selected for single-channel images.
Overlay |  | Activates single channel view mode. This button is only available for multi-channel images.
Channels |  | Click the channel buttons to display selected channels. Channels 2, 3 and 4 are not available in single-channel images.


Editing images

Introduction

The Image Editor allows you to edit images before analysis.

An edited image must be saved (Save as under the file menu in the Image Editor) with a new name and then opened before it can be analyzed. Since edited images are saved as new files, any experimental analysis that has been performed before the image is manipulated will not apply to the new image.

The following editing is saved with the new image:

  • Rotate

  • Crop

  • Flip

  • Filter

The image editor also provides tools that affect the image display in the editor window but are not saved with the new image. These tools can be used as aids in image editing:

  • Marker

  • Contrast

  • Color

  • Zoom

Note:

Multi-channel images are displayed with one channel at a time in the image editor. However, editing performed on one channel is applied to all channels.

Saving an edited multi-channel image creates a new folder containing the edited source files as well as the .ds file for the multi-channel image.
Starting the image editor

Start the image editor with the Edit:Edit Image command or the Edit Image [image] button on the toolbar.

Note:

Starting the image editor from an analysis session will load the current image in the editor. You will not be able to save the edited image with the original file name as long as the original file is open in the analysis module.

You can open other image files in the editor with the File:Open command.

Zooming an image

Use the Zoom:Zoom in and Zoom out menu functions or the toolbar buttons to zoom the image display.

Use Zoom:Zoom 1 to 1 and Zoom to fit to restore the image to original size or fit in the image editor window respectively.

Changing contrast and color

The image editor includes Contrast and Colour options equivalent to those for the main image window (see Contrast and Color).

Note:

Changes in contrast and color only apply to the current image editor display and are not saved with the new file when the edited image is saved.
Marking and cropping images

Cropping an image removes unwanted regions (e.g., blank areas around the outside of a gel). To help you select the cropping area relative to fixed points on the scanner bed, you can set an alignment marker on the image. The marker and cropping rectangle can be saved from one image and loaded into another for consistent cropping of similar images, provided that the images are the same size.

Save and load marker and cropping rectangle

Step | Action
1 | Choose Marker:Save to save the marker and cropping rectangle in a marker file (.mrk).
2 | Choose Marker:Load and select the marker file to load the marker and cropping rectangle from the file.

Note:

The cropping rectangle cannot be saved unless a marker has been set.

You cannot load markers on to an image if either marker or cropping rectangle extends outside the image boundaries.

Set a marker

Step | Action
1 | Choose the Marker mode [image] on the image editor toolbar.
2 | Left click on the image to set the marker. You can only set one marker on a given image.
3 | If you need to move the marker, click in the new position. This will replace the previous marker with one in the new position, effectively moving the marker. Alternatively, choose the Selection mode [image] on the image editor toolbar and drag the marker to the new position. If you have set a cropping area, dragging the marker will move the marker and cropping area together.

Delete a marker

Step | Action
1 | Right-click anywhere in the image in Marker mode. Alternatively choose Marker:Clear. Deleting the marker does not delete the cropping rectangle.

Set a cropping area

Step | Action
1 | Choose the Selection mode [image] on the image editor toolbar.
2 | Drag with the mouse to define the cropping area. The cropping area is indicated by green dotted lines.
3 | To delete the cropping area, right-click anywhere in the image.

Move and resize a cropping area

Step | Action
1 | Choose the Selection mode [image] on the image editor toolbar.
2 | To resize the cropping area, drag one of the handles on the cropping area outline.
3 | To move the cropping area, drag the outline of the cropping area between the handles. If you have set a marker, dragging the cropping area will move the marker and cropping area together.

Crop the image

Step | Action
1 | Select Image:Crop to area. Everything outside the cropping area will be removed.
Flipping and rotating images

Images can be flipped and rotated to correct and adjust orientation. Flipping creates a mirror image around the horizontal or vertical axis.

To flip the image around the vertical or horizontal axis, choose Image:Flip horizontal or Flip vertical.

To rotate the image by 90° in the specified direction, choose Image:Rotate clockwise or Rotate anticlockwise .

To rotate the image by an arbitrary angle, click the Freeform rotation button [image] on the image editor toolbar. A grid is superimposed on the image with one side marked with the text This will be horizontal. The grid rotates as you drag in the image. Drag so that the grid is aligned with elements in the image that you want to be horizontal and/or vertical, then release the mouse button.

Image before rotation, rotation tool selected. | Rotation in progress. The grid is rotated. | Rotation completed. The grid is restored and the image is rotated.
Filtering images

Filtering images smooths the intensity variations from pixel to pixel, reducing noise in the image. Apply filtering with care: excessive filtering can remove important detail and distort image features.

Noisy image, unfiltered. | Moderate filtering (median, matrix size 5). | Very heavy filtering (median, matrix size 25).

To filter an image:

Step | Action
1 | Choose Image:Filter from the image editor menu.
2 | Select the filter type (Median or Impulse).
3 | For median filtering, set the Matrix width and Matrix height values. The filtering procedure operates independently in horizontal and vertical directions. Larger values give heavier filtering.
4 | For impulse filtering, choose the degree of filtering (Low, Medium or High).
5 | Click OK to apply the filter and close the dialog, or Apply to apply the filter without closing the dialog.
Undoing changes

To undo changes made in the image editor, choose File:Revert. This will restore the image to the most recently saved version.

Changes cannot be undone after a changed image is saved. It is recommended always to save an edited image with a new name so that the original image is not overwritten.

Saving edited images

Choose File:Save as in the Image Editor menu to save the edited image with a new name. You cannot save an image with the same name as one that is present in the same module instance.

Note:

Since edited images are saved as new files, any experimental analysis that has been performed before the image is manipulated will not apply to the new image.

As a general recommendation, make any necessary changes in the Image Editor, save with a new name, and open again before analyzing the image.


The navigator panel

The Navigator occupies the left side of the module main window. It displays the tools relating to each analysis step in the active module.

Features common to all modules are discussed in the following sections.

Refer to the module section for the individual analysis features of that module.

Instructions tab

The Instructions tab in the navigator provides brief instructions for the current analysis step. Where appropriate, red text in the instructions pane explains why certain functions may not be available.

Parameters tab

The Parameters tab displays the parameters for the current analysis step.

Navigator buttons

Navigator buttons that are common to all modules are described in the table below. For module-specific buttons, see the individual module chapters.

Command | Button | Description
Clear |  | Clears the analysis effects of the current analysis step on the image. Subsequent steps that are dependent on the current step will also be cleared.
Previous |  | Goes to the previous step in the analysis sequence. Click the arrow at the right of the button to display a list of all previous analysis steps. You can choose to go to any step in the list.
Next |  | Goes to the next step in the analysis sequence. Click the arrow at the right of the button to display a list of all following analysis steps. You can choose to go to any step in the list.
Restart |  | Clears the current analysis and returns to the start. This button is only displayed when an analysis is complete.


Program windows

Each module presents the analysis results in a number of separate windows that can be moved and resized independently. If you have changed the window arrangement, you can restore the default window positions and sizes with the Window:Arrange Windows command.

Window selector bar

Use the window selector bar at the bottom of the Navigator panel to show or hide windows. Clicking on a window button in this bar toggles the window display.

The buttons on the window selector bar vary between the different modules, as listed in the table below.

Function | 1D | Array | Colony Counting | Analysis Toolbox
Image window |  |  |  |
Second image window |  |  |  |
Calibration window |  |  |  |
Zoom window |  |  |  |
Line window |  |  |  |
Measurements window |  |  |  |
Image window

The image window displays the image you are currently analyzing, overlaid with information relating to the analysis. The image window is used in all modules.

Buttons on the image window toolbar have the following functions:

Command | Button | Description
Zoom |  | Click this button then drag around the area of the image you wish to enlarge. Alternatively left-click on the image to zoom in and right-click to zoom out. After dragging, the zoom tool will be cancelled automatically.
One to one scaling |  | Click to scale the image to 1:1 (one pixel on the original image will be represented by one pixel on the screen. The actual size of a 1:1 image display will depend on the screen resolution).
Zoom to fit |  | Fit the image in the image window. In this mode, the image will be resized automatically if you change the window size.
Magnifying glass |  | Click this button then click and hold the mouse button anywhere on the image. The area surrounding the pointer is magnified. Move the pointer while still holding the mouse button to magnify other areas. The magnifying glass is inactivated when you release the mouse button.
Panning |  | Click this button and drag in the image to change the displayed region of a zoomed image. This function is only relevant when the image is larger than the image window. The panning function is inactivated when you release the mouse button
Second image window

The second image window shows a copy of the image with overlaid analysis information, with the exception of annotations that are only shown in the main image window. The second image window is used in the ID, array and analysis toolbox modules.

Analysis tools can only be applied in the main image window, although the overlaid analysis information is displayed in both windows. Color and contrast changes are applied to both windows.

The second image can be zoomed and panned independently of the main image window. This can be useful for examining different parts of a zoomed image at the same time.

Overlay view mode for multi-channel images is not supported in the second image window, and channel selection is independent in the main and second image windows.

Calibration window

The calibration window displays calibration data for molecular size and quantity calibration. The calibration window is only used in the 1D module.

Zoom window

The zoom window displays the whole image, overlaid with a rectangle representing the area of the image that is currently displayed in the image window. The zoom window is used in the array, colony counting and analysis toolbox modules.

Drag the rectangle to a new position to display the corresponding area in the Image window.

Note:

No rectangle appears if the image window displays the whole image.
Line window

The line window is only used in the analysis toolbox, and displays an intensity profile for each line defined in the image window. The profile represents the pixel intensity along the line, in the direction in which the line is drawn. The start of the line is assigned pixel position 0.

Measurements or area window

The measurements window presents the analysis results in table form. The data displayed in the window differs in the different modules, and can be customized using the Options:Tables tab. Details are given in the individual module chapters.


Status bar

The status bar at the bottom of the main window displays information about the current state of the program (e.g., Ready) as well as descriptive messages for a selected command or toolbar button (e.g., coordinates and pixel intensity when the pointer is in the image window).


Multi-channel images

Overview

Creating a multi-channel image

Display modes for multi-channel images

Analyzing multi-channel images

Editing multi-channel images

Multi-channel reports


Overview

ImageQuant TL allows you to display and analyze multi-channel images in 1D gel analysis, Array analysis and Analysis toolbox modules. Multi-channel images are not supported in the Colony Counter module.

A multi-channel image contains up to 4 channels that can be displayed and analyzed in different viewing modes. Multi-channel images are typically useful for gels stained with multiple fluorochromes, to allow separate analysis of the different fluorochromes.


Creating a multi-channel image

Step | Action
1 | Choose File:Create Multiplex Image to create a multi-channel image.
2 | Provide a name for your multi-channel image and select up to 4 source files, one for each channel that you want to use.

The source files must be the same size and type (photometric interpretation value) and in the same folder. They must also be aligned since channels cannot be moved relative to each other in the IQTL modules. Source images are typically created by repeated acquisition of the same sample at different wavelengths.

Note:

Select all the source files in a single operation. Use Shift-click to select adjacent files and Ctrl-click to select non-adjacent files.

The multiplex image will be saved with file type .ds in the same folder as the source images. The .ds file can be opened directly in ImageQuant TL, but the source image files must be present in the same folder.


Display modes for multi-channel images

Multi-channel image can be displayed in single channel view mode showing one channel at a time, or in overlay view mode showing one or more selected channels in the same image. The display mode is chosen from the View:Channel Display sub-menu or by selecting the appropriate buttons in the toolbar.

Single channel view mode

In single channel view mode, the image and analysis windows only display data for the currently selected channel. Images are displayed in grey scale only and according to the current contrast settings.

Overlay view mode

In overlay view mode, the image window shows an overlay view of the currently selected channel(s), assigned colors as listed in the Colour Scheme list (see Color). The display colors can be changed for each channel individually.

Analysis window

The analysis window shows the profile for the currently selected lane and channel, with a lane image for each channel. The channel is identified by the color of the profile curve and frame for the lane image. The lane image itself is displayed with the current color settings.

Contrast settings

Contrast settings in overlay mode apply only to the currently displayed channels, and can be set independently for different channels.

Zooming

Operations such as zooming the image display affect the whole multi-channel image regardless of which channel(s) are currently displayed.


Analyzing multi-channel images

Most analysis procedures apply to all channels in a multi-channel image, even if they are performed in single channel view mode. Some procedures can only be performed in single channel view mode.

  • Annotations can be added and edited in either display mode, and are always applied to all channels.

  • Contrast changes can be made in either display mode, but are applied only to one channel at a time. In overlay view mode, you select the channel to work with in the Contrast dialog box.

  • Color changes can only be applied in channel overlay view mode, and apply only to the currently displayed channel and to the lane image in the analysis window. The display colors can be changed for each channel individually.

  • Lane creation and editing can be performed in either display mode and applies to all channels regardless of whether they are visible or not.

  • Background subtraction can be performed in either display mode and applies to all channels regardless of whether they are visible or not.

  • Band detection can only be performed in single channel display mode and applies only to the currently selected channel.

  • Molecular size calibration can only be performed in single channel view mode but is applied to all channels. It is also possible to perform molecular size calibration for each channel independently. Note that the molecular size calibration curve is only displayed in single channel view mode. Results of calibration are however shown in the Measurements window in both display modes.

  • Quantity calibration can only be performed in single channel view mode and applies independently to each channel. Note that the quantity calibration curve is only displayed in single channel view mode. Results of calibration are however shown in the Measurements window in both display modes.

  • Normalization can only be applied in single channel view mode, and applies independently to each channel.


Editing multi-channel images

The image editor can be used with multi-channel images and the channels can be overlayed as in the main module. The current channel is selected in the editor toolbar.

Markers, rotating, cropping and zooming the image are applied to all channels.

Color and contrast changes are applied as in the main module.


Multi-channel reports

Reports generated for multi-channel analyses include data for all channels in the image.


1D gel analysis

The 1D module is designed for analysis of one-dimensional electrophoresis or thin-layer chromatography (TLC) images, where each sample is represented by a lane in the image. Analysis provides assessment of the amounts of separated components from the integrated intensity of bands as well as component properties (e.g., molecular weight or isoelectric point) from the position of bands in relation to calibration standards.

Main menu

Analysis results

Options

Beginning the analysis

Creating and editing lanes

Background subtraction

Band detection

Molecular size calibration

Quantity calibration

Normalization

Experiment overview

Reports


Main menu

This section describes the menu commands that are specific to the 1D gel analysis module. For details of commands common to all modules, see The Common Interface.

File menu

Command

Description

Load preferences

Loads a personal preference file (.p), containing the settings in the Options dialog, such as colors to identify different aspects of an image, lane attributes and reporting features.

Loading a preference file deletes any previous analysis that has been performed on the current image.

Save preferences

Saves a personal preference file (.p), containing the current settings in the Options dialog, such as colors to identify different aspects of an image, lane attributes and reporting features.

See File menu for details of commands not listed here.

Edit menu
Command | Description
Export Lane Objects | Exports lane objects to a lane object file (.lan). Lane objects include lane positions and borders, but not band detection information.
Import Lane Objects | Imports lane objects from a lane object file (.lan) to the current image. Any lanes already defined on the image will be replaced by the imported lanes.
Export Lane Profile to Clipboard | Exports the numerical intensity values as well as the x-values (e.g., mm or inches depending on what scale is currently used) for the lane profile to the clipboard. The values can be used to reconstruct the lane profile in third-party software.
Export Lane Profile to File | Exports the numerical intensity values as well as the x-values (e.g., mm or inches depending on what scale is currently used) for the lane profile to a text file. The values can be used to reconstruct the lane profile in third-party software.
Lane Selection | Allows you to choose the lanes to display in the analysis and measurements windows. See Annotations for details.
Edit Image | Opens the image editor (see Editing images).

See Edit menu for details of commands not listed here.

Analysis menu

The analysis menu includes the following commands, corresponding to steps in the analysis. The current step is check-marked in the menu.

Command | Description | More details
Begin Analysis | Returns to the start of the analysis, clearing any analysis steps that may have been performed. | -
Lane Creation | Creates lanes on the image. | Creating and editing lanes.
Background Subtraction | Subtracts background intensity. | Background subtraction.
Band Detection | Detects bands. | Band detection.
Molecular Size Calibration | Calibrates band positions with reference to a standard. | Molecular size calibration.
Quantity Calibration | Calibrates band volume (quantity) with reference to a standard. | Quantity calibration.
Normalisation | Normalizes band volumes with reference to a selected band. | Normalization.
Experiment Overview | Provides an overview of the analysis steps for a completed analysis. | Experiment overview.
Annotate Image | Activates Annotations mode. | Annotations.
Reports menu

The reports menu contains the following commands. Commands are not available if no analysis steps have been performed.

Command

Description

Analysis Report

Generates a full report of the analysis as a PDF document, with an overview of the image and details of all lanes and bands. The report is saved in the same folder as the images, and is opened automatically if Adobe Acrobat, Acrobat Reader or another pdf-reader program is installed.

Current Lane Report

Generates a report of the analysis results for the current lane as a PDF document. The report is saved in the same folder as the images, and is opened automatically if Adobe Acrobat, Acrobat Reader or another pdf-reader program is installed.

The same information is included as a section in the complete analysis report.

Lane Notes

Here you can enter notes for each lane in the image. The notes will be printed as part of the lane report.

  1. Select the lane for which you want to enter notes and type the notes in the box. Lane notes are independent for each lane.

  2. Check Display Analysis Parameters in Lane Report to include parameter setting used in analysis in the report.

  3. Click OK to save the lane notes.

Note:

The Display Analysis Parameters in Lane Report setting applies to all lanes in the report.


Analysis results

The analysis results are displayed in the measurements window. Three different tables of data are available. Each can be viewed by clicking on its tab at the bottom of the window.

  • Selected lane shows data for the current lane

  • All lanes shows data for all lanes

  • Comparison shows data for all lanes, with bands in similar positions on the same table row. Consequently there may be empty rows in the table for certain lanes.

Customize the Measurements Window table

Use the Options:Tables tab to select and arrange the data that will be displayed in the measurements window. The selection and ordering applies to all three tabs in the window. Data fields that can be selected for display in the measurements window are listed below.

  • An area is defined as the number of pixels in a given selection.

  • A volume is defined as the sum of the pixel intensity for all pixels in a given selection.

Measurements Window column description

Data Field | Description
Area | The area of the image feature, that is, the number of pixels in the feature.
Band Index | The number of the band within a lane.
Band Percentage | The volume of a band expressed as a percentage of total volume of all bands in the lane.
Band Percentage(Calib/Norm) | The calibrated/normalized volume aof a band expressed as a percentage of total calibrated/normalized volume of all bands in the lane.
Calib/Norm Volume | The calibrated/normalized volume of the bands.
Lane Percentage | A measure of the Bands Volume divided by the Volume of the whole Lane
Molecular Size | Molecular size for a band with the units shown in the column header.
Peak + Background | The maximum value of the band profile including the background.
Peak Height | The maximum value of the band profile excluding the background.
Position | The distance in pixels of the band's peak from the start of the lane.
Position (Inches) | The distance in inches of the band's peak from the start of the lane.
Position (mm) | The distance in mm of the band's peak from the start of the lane.
Rf | Rf (Retardation Factor) is a measurement of position along the lane, relative to its length. The first position in each lane has an Rf of 0 and the last has an Rf of 1.
Volume | The raw volume of the uncalibrated quantity of material in the image feature excluding background.
Volume + Background | The uncalibrated quantity of material detected including background.
X Coordinate | Shows the X coordinate of the peak of the band.
Y Coordinates | Shows the Y coordinates of the peak of the band.


Options

Open Options with the View:Options command or the Options button on the toolbar.

Image tab

The Image tab contains settings for the image window display.

Panel

Description

Display options

Choose whether to display bands and annotations. Hiding bands in the image window does not affect the analysis or measurement window.

Click Ruler Options to set display options for rulers in the image window. Lane names and numbers can be displayed at the top of the image window, and calibration values on the left-hand side.

Note:

In a tiered image (see Setting tiers), tier selection affects only the lane identification ruler. The ruler appears at the top of the image even if it applies to a lower tier.

The calibration ruler is shown for a given tier if a standards lane is chosen within that tier, regardless of which tier is selected.

Colours

Set the colors for display items in the image window. To change a color, click on the color box and choose the new color from the color picker.
Analysis tab

The Analysis tab contains settings for the analysis window display.

In the Lane attributes panel, set the display properties for the lane profile (upper) panel in the analysis window.

Setting

Description

Remove background

If this option is checked, the lane profile will be displayed with background intensity subtracted, and the lane image is adjusted to simulate the lane with no background. If the option is unchecked, the background intensity will be shown on the profile.

Note:

The Remove background setting only affects the display in the analysis window. Background subtraction in the analysis results is not affected.

Remove background is not available during manual background adjustment.

Show measurements

If this option is checked, the calculated band area is indicated by crosshatching in the lane profile and lane image.

Show peaks

Toggles display of band numbers and band peak arrows above the lane profile.

Show edges

Toggles display of band edges as dotted lines on the lane profile and lane image.

In the Display attributes panel, set the display properties for the lane image (lower) panel in the analysis window.

Setting

Description

Maintain aspect ratio

If this option is checked, the lane image is zoomed in both x- and y-directions, so that the image becomes wider as the profile is zoomed. If the option is unchecked, the image is zoomed in the y-direction only.

Show molecular size

If this option is checked, the calculated molecular size value for each band is shown on the lane image.

Show overlays

Toggles display of band edges, areas and centre lines on the lane image.

Show Current Lane only /Show Additional Lanes in Finish mode

Show Current Lane only displays only the currently selected lane in the analysis window.

Show Additional Lanes in Finish mode displays additional lanes in the analysis window when the analysis is completed. The lanes that are displayed are determined by the Lane Selection settings (see Lane Selection tab). The current lane is always displayed.

Profile scale

Sets the units for the x-axis in the lane profile.

Note:

The lane profile and lane image will not be displayed in the analysis window if the x-axis is set to Molecular Size and molecular size calibration has not been performed.
Tables tab

Select the parameters to display in the measurement window. Use the up and down arrows to rearrange the order of columns in the measurement window.

See Analysis results for a description of the parameters.

Lane Selection tab

Settings on the Lane selection tab determine which lanes are displayed in the analysis and measurement windows in addition to the current lane when the analysis is completed.

Click [image] or [image] to select or unselect all lanes.

Mark a lane and use the arrow buttons to move the lane between the Unselected and Selected lists.

Note:

There must be at least one lane in the Selected list.
Printing/Copying tab

The Printing/Copying tab controls how the content of windows will be printed and copied.

The settings on this tab affect the Copy to Clipboard and Export to File commands from the Edit menu and the Print command from the File menu. The tab can also be accessed with the File:Printing Options command.

Image area

In the Image area:

  • Choose Visible area of the image to copy or print the area of the image that is currently visible.

  • Choose Whole of the image to copy or print the whole image at the original size regardless of the area displayed on the screen.

Print scale area

The Print scale options determine printing scale for image and analysis windows. Print scaling applies regardless of the Image area setting.

  • Fit to the page prints the image at the largest size that will fit the page.

  • Scaled scales the image with reference to original size. Enter a scaling percentage value.

  • Actual gel size prints the image at the actual size of the physical gel, determined from the pixel count and scanning resolution.

Page setup for tables

Click Page setup for tables to set the page layout for printing the tables in the measurements window:

Set the page margins or accept the default. Margins specified here are added to any margins and unprintable regions on your printer. Printout identification is placed in the top and bottom margins. The top and bottom margins have a minimum value of 1.5 inches (3.8 cm) to allow for printout identification.

Check the titles and gridline components that you want to use.

The Page Order setting determines how the printout will be divided over multiple pages.

Check Save settings to profile to keep these settings in your profile.


Beginning the analysis

Opening an image that does not have an associated experiment file presents the start of the analysis. If any analysis has already been performed, choose Analysis:Begin Analysis to clear the current analysis and start a new one. If the analysis is complete, you can also click the Restart button in the navigator.

Specifying an area of interest

By default, analysis is applied to the whole image in the image window. If you want to analyze a part of the image, drag around the area of interest with the mouse. The area will be marked with a green border. Automatic lane creation (and subsequent analysis of the lanes) will be restricted to the area of interest.

To clear the area of interest and revert to the whole image, right-click anywhere on the image.

Note:

The area of interest only applies to automatic lane creation. Lanes can be created manually and analyzed outside the area of interest.
Automatic or stepwise analysis

Click the Automatic button [image] in the navigator to automatically perform the steps that are checked in the list. You can only perform automatic background subtraction and band detection if lane creation is also performed automatically. Automatic analysis will be performed using the current settings for the steps (see the following sections for details). For multichannel images, automatic steps are applied to all channels.

When the automatic steps are completed, the experiment overview is displayed in the navigator with buttons for the separate analysis steps. Click the respective button to go to a selected step.

Molecular size calibration, quantity calibration and normalization cannot be performed automatically. These steps can be accessed as necessary from the experiment overview.

If you want to perform all the analysis steps interactively, click the Stepwise button [image] . The separate steps are described in the following sections.

Setting tiers

If the image has distinct sections within lanes you can split the image into a number of horizontal tiers. Lanes will be created separately in each tier.

Note:

The number of tiers is set in the first step of a stepwise analysis. Automatic analysis of an image that has not have previously been analyzed will use one tier.

To set tiers:

Step | Action
1 | Select the number of tiers required in the Parameters panel in the navigator. The image will be divided into this number of equal horizontal tiers.
2 | Drag the dividing lines to adjust the tier placing as required.


Creating and editing lanes

Lane creation defines vertical areas occupied by lanes on the image. Each lane normally represents one sample. Lanes can be created automatically or manually, and can be moved and/or resized once they have been created. It is important to define the lanes correctly at the start of the analysis since changing the lane definition can affect the analysis results.

Creating lanes automatically

To create lanes automatically, choose Automatic [image] and click Create [image] in the navigator. Lanes will be created using image analysis algorithms. Normally, lanes should follow the sample lanes on the gel or TLC plate even if they are not strictly vertical. Lanes are created separately in each tier of the image.

Image elements that are not related to lanes may confuse automatic lane detection. For best results, set an area of interest (Specifying an area of interest) or crop the image (Marking and cropping images) to exclude the edges of the gel from the image.

Automatic lane detection may not be satisfactory if lanes in the image contain only one or a very few bands (for example Western blot images), or if the bands are faint. Lanes may need to be created manually in such cases.

Note:

Lanes are detected by analysis of the original image, regardless of any changes in contrast or color applied in the image window.

Lanes can be edited as described in Editing single lanes and Editing multiple lanes.

Creating lanes manually

If automatic lane creation does not work satisfactorily, you can create lanes manually.

Step | Action
1 | Specify the number of lanes to create in the Parameters panel of the navigator. If you create more than one lane, they will be evenly spaced and sized. Lanes can be edited individually once they have been created (Editing single lanes).
2 | Specify the lane width as a percentage of the maximum possible width. For example, creating 2 lanes with lane width 80% in a region 100 pixels wide will create lanes of width 40 pixels with a margin of 10 pixels on either side.
3 | Drag a rectangle over the image in the image window to define the lane box. Lanes are created within the lane box. You can only create lanes in one tier at a time.
4 | Repeat steps 1-3 if you want to add more lanes. Manually created lanes can overlap with each other.

Note:

You can create lanes manually and analyze data outside the area of interest.
Naming lanes

Lanes are numbered automatically in the order that they are created. You can also identify lanes by name as follows:

Step | Action
1 | Choose the Options:Image tab and click Ruler Options. Check the box for Lane names. Lanes will by default be named Lane n, where n is the lane number, and the names will be displayed at the top of the image window.
2 | Click a lane name in the image window to edit the name.
Editing single lanes

To edit individual lanes, select Edit Single Lanes from the edit mode list.

In this mode, you can move, resize, skew and bend individual lanes, and add grimaces to lanes to compensate for distorted bands.

A grimace is a contour line of equal band position across a particular part of a lane, used to compensate for the "smiling" effect that can appear in gel bands.

The software calculates the band positions and lane profiles on the assumption that the bands warp uniformly between the horizontal start of the lane and the first grimace, between grimaces and then between the last grimace and the bottom of the lane.

Operation | Navigator button | Description
Moving lanes |  | Drag the lane to the new position.
Resizing lanes |  | Drag a corner (red) handle on a lane. The lane width will expand or contract symmetrically around the centre line. You cannot change the length of a lane. Alternatively set a new half-lane width in the Parameters panel in the navigator (see below).
Bending lanes |  | Click in the lane along an approximate centre line. This will add a new internal (white) handle in the lane. Drag this handle to bend the lane: both edges of the lane bend in parallel. You can add as many internal handles as you require: when you move one handle, the nearest handles above and below act as fixed points for the bending. Right-click an internal handle to delete it.
Skewing lanes |  | Delete any internal handles, then drag the top or bottom centre handle. You can only drag the handle horizontally.
Adding grimaces |  | Click in the lane where you want to add the grimace. The grimace is added initially as a straight horizontal line across the lane. Drag the end handles to change the angle of the grimace. Click on the line to add a handle, then drag the handle to change the shape of the grimace. You can add as many handles as required. Right-click on the grimace to delete it.
Editing multiple lanes

To edit multiple lanes, select Edit Multiple Lanes from the edit mode list.

In this mode, you edit the boundary of the lane box to modify all lanes in the box. If you have created multiple lane areas using manual lane creation, the areas are edited independently of each other. You can resize, bend and skew the lane box, and add new lanes to the box. To change the width of lanes without editing the lane box, set a new half-lane width in the Parameters panel in the navigator (see below).

Operation | Navigator button | Description
Resizing the lane box |  | Drag the edges of the lane box. The lanes will be resized to fit the new box size.
Bending the lane box |  | Click on a lane box edge to add an internal (white) handle, then drag the handle to bend the edge of the box. Note that the opposite edge of the lane box is not bent in parallel. You can add as many handles to the edge as required. Right-click on a handle to delete it.
Skewing the lane box |  | Delete any white handles on the box edge, then drag a corner (red) handle.
Adding lanes |  | Click within the lane box where you want the centre of the new lane. The lane will be added with the half-lane width as specified in the Parameters panel in the navigator.
Specifying lane width

The initial lane width is determined either by image analysis for automatically created lanes or by the Lane width setting for manually created lanes. The width can be edited using the Half-lane width setting in the Parameters panel in the navigator.

In Edit single lane mode, enter a value for the half-lane width and click Apply to set the width of the current lane.

In Edit multiple lanes mode, enter a value for the half-lane width and click Apply to set the width of all lanes in the lane box.

The setting for half-lane width also determines the width of new lanes that are added in Edit multiple lanes mode.

Deleting lanes

Lanes that have been created automatically or added to an automatically created lane box can be deleted individually. In either Edit single lane or Edit multiple lanes mode, select the lane and press Del on the keyboard or click Delete Current Lane in the Parameters panel in the navigator.

Note:

Lanes cannot be deleted individually from a manually created lane box.


Background subtraction

Introduction

Background subtraction compensates for the background intensity in the image, so that measured band volumes are a closer representation of the amount of material in the bands. There are 3 automatic and 2 interactive methods for background subtraction, selected from the Parameters panel in the navigator.

Subtract background intensities

To subtract background intensity, choose the subtraction method and click the Subtract button [image] in the navigator.

For multi-channel images, the same background subtraction method is applied to all channels, but each channel uses separate baseline calculation.

To help in deciding which background subtraction method to use, it can be useful to add one or more extra lanes (see Creating lanes manually) in blank areas of the image, and examine the profile shape for these lanes.

Note:

Manual background subtraction can be difficult to reproduce accurately for different images, or for the same image analyzed on different occasions. Automatic background subtraction methods are recommended for good laboratory practice.

Undo subtract background intensities

To cancel background subtraction, choose None as a background method or click the Clear button in the navigator.

Preview background subtraction in the Analysis module

To preview the effect of background subtraction on the image profile in the Analysis window, check Remove background in the Options:Analysis tab. The profile will be displayed using background-subtracted intensity values (except during manual baseline adjustment, see Background subtraction methods). If this option is not checked, the image profile and background profile will be displayed using absolute intensity values. The Remove background option affects only the display in the analysis window. Results in the measurements window are not affected.

Analysis window showing background profile. | Analysis window with background removed.
Background subtraction methods

Method

Type

Description

Rubber Band

Automatic

Draws a baseline between the lowest points on the profile, as though a rubber band was stretched under the profile. If the ends of the profile are lower than all other points, the baseline will be a straight line between the ends of the profile, and band separation may be poor.

Minimum profile

Automatic

Draws a horizontal baseline at the lowest point of the profile.

Rolling ball

Automatic

The rolling ball method determines the baseline as the highest point on a disc or ball of specified radius rolls along under the profile, maintaining contact with the profile at all times. A smaller radius will give a baseline that follows the profile more closely. Set the radius using the slider or the value entry box in the navigator.

The radius should be set in relation to the width of the bands. The rolling ball method will create a baseline that follows the profile of diffuse bands more closely than that of sharp bands.

Image rectangle

Manual

Draws a horizontal baseline at the average intensity level within a specified rectangle on the image. Drag with the mouse in the image window to define the rectangle for background intensity.

If the image profile falls below the background intensity, the baseline follows the profile.

Manual baseline

Manual

Places handles (initially 4 evenly spaced) along the baseline. Drag the handles to adjust the baseline. Click anywhere on the baseline to add new handles as required. Right-click on a handle to remove it. The baseline consists of straight line segments drawn between the handles.

Manual adjustments made to the baseline apply only to the current lane.

If the image profile falls below the background intensity, the baseline follows the profile.

None

-

Cancels background subtraction. You can also cancel background subtraction by clicking the Clear button in the navigator.

The three automatic baseline methods are illustrated below.

Rubber band baseline

Minimum profile baseline

Rolling ball baseline


Band detection

Band detection defines bands in the image lanes:

  • Band peaks are set at the position of maximum intensity.

  • Band edges are either detected automatically or set to a fixed number of pixels on either side of the peak.

Automatically detected bands can be edited or deleted, and bands can be added manually.

Note:

For multi-channel images, band detection must be performed in single channel view mode.

Detecting bands automatically

To detect bands using the current settings in the Parameters tab in the navigator, click the Detect button [image] . If you change any of the parameters, bands will be re-detected automatically.

Note:

Bands are detected by analysis of the original image, regardless of any changes in contrast or color applied in the image window.

The following settings determine how band peaks are detected:

Setting

Description

Minimum slope

Sets a minimum value for the slope of the band, defined as the slope of a line from the start or end of the band (the first or last pixel above background) to the peak intensity. Setting a high value will detect only sharp bands. The permitted range is 0-999.

Note:

The start and end of the band for slope calculation do not necessarily coincide with the band edges.

Median filter

The median filter effectively suppress isolated noise without blurring sharp edges, for example, when filtering images, recalculating images temporarily from filtered images, and detecting peaks. The median filter will not detect dust. However, overfiltering can give strange results as bands merge or disappear. Also, large filter sizes on large images may slow down the analysis.

% Max peak

Only bands with a peak intensity (after background subtraction) equal to or higher than this value will be detected.

Setting band edges

Band edges determine the width of automatically or manually created bands. Choose one of the following options in the Parameters tab:

Option | Description
Automatic detection | Band edges are set automatically.
Fixed width | The band width is set to the specified number of pixels, with the peak in the centre of the band. If bands are too close together for the fixed width to be applied, half the width value will be applied on either side of the peak as far as possible. All bands are set to the same width.
Adding and editing bands

Introduction

Bands can be added and edited in either the image window or the lane profile or lane image in the analysis window. Changes made to bands are reflected immediately in the analysis and measurement windows.

Any manual changes made to bands will be lost if the bands are re-detected (either by clicking Detect or by changing peak detection settings).

Adding a band

To add a band, click at the position where you want the band to be created, either in the image window or the lane profile or lane image in the analysis window. The pointer [image] indicates that a band can be added in the current position. The band will be created with the peak at the position of the pointer and the edges defined automatically or by fixed width according to the current settings.

Deleting a band

To delete a single band, right-click on the peak position of a band in the image window or in the lane profile or lane image in the analysis window to delete a single band. The pointer [image] indicates when right-clicking will delete the band.

Note:

Bands can only be deleted in this way in the analysis window if Show peaks is checked in the Options:Analysis tab.

Deleting multiple bands

To clear bands from a certain area of the image, drag with the right mouse button around the area you wish to clear. You will be asked to confirm that you want to delete all bands in the selected area. Bands that are only partially included in the area will also be deleted. You cannot delete multiple bands in one operation in the analysis window.

Deleting all bands

To clear all bands in the image, click Clear in the navigator.

Moving band edges

To move band edges, drag the edges in the image window or in the lane profile or lane image in the analysis window. The pointer [image] in the image window and [image] in the analysis window indicates when an edge can be dragged. You cannot move a band edge past another band edge or outside the lane boundaries.

Band edges that coincide between bands are shared by both adjacent bands. However, it is possible to split a shared edge by dragging the edge towards one of the bands.

Removing band edges

To remove a band edge between two bands that do not share a common edge, place the pointer over the edge and right-click. The two bands now share a common edge.


Molecular size calibration

Molecular size calibration uses the band position in lanes with standards to calculate the properties of the bands in other samples.

Note:

Although the function is referred to as molecular size calibration, it can be used equally to determine pI values on isoelectric focusing gels or migration properties on TLC plates.

Properties for bands in standard lanes are defined in mapping lists. A number of mapping lists are provided with the software: custom lists can also be created.

For molecular size calibration of multi-channel images, the option Calibrate on each channel in the navigator determines how the calibration is applied to the different channels. If this option is checked, calibration is applied separately and independently to each channel. In this mode different calibration standards can be used for different channels. If the option is not checked, standard lanes can only be assigned to a single channel, and the same molecular size calibration will be applied to all channels.

Results of molecular size calibration are shown in the measurements window, provided that the appropriate parameters are included in the table (see Analysis results).

Assigning standard values

To perform molecular size calibration, you assign the known standard values to bands in one or more lanes and then calculate the calibration curve for molecular size as a function of band position.

Step | Action
1 | Select a mapping list in the Parameters tab. If you need to define a new mapping list, see Creating and editing mapping lists.
2 | If necessary, deselect individual standards in the mapping list.
3 | Click on the lane containing standards. Standard lanes are marked with the molecular size calibration icon [image] and identified with a red border and lane number. Mapping values are assigned in order to the bands in the standard lane and shown with a yellow mapping line across the image window.
4 | If you have several standard lanes (containing the same standards) at different positions across the gel, repeat step 3 for all standard lanes. Mapping positions will be interpolated between standard lanes, as indicated by the yellow mapping line.
5 | If you need to change the band assignment of a mapping value, drag the red band marker in the standard lane to the new band.
6 | Select a curve fitting function for the calibration curve in the Parameters tab and click Compute. The calculated calibration curve will be shown in the graph window, and mapping values will be calculated for all bands in the image.

If you need to change the mapping list after assigning standard lanes, click Clear in the Parameters tab.

Applying molecular size calibration

To calculate the molecular size calibration curve:

Step

Action

1

Select a curve fitting function for the calibration curve in the Parameters tab.

2

Choose whether to use Rf to propagate the mapping values. If this option is selected, the mapping line for positions across the image will conform to the band positions relative to the boundaries of the lane box. This option is only relevant if the lane box is not rectangular.

With Use Rf to propagate unchecked, mapping lines conform to the rectangular image shape.

With Use Rf to propagate checked, mapping lines conform to lane box shape.

3

Click Compute in the Parameters tab. The calculated calibration curve will be shown in the graph window, and mapping values will be calculated for all bands in the image.
Creating and editing mapping lists

The software is supplied with a number of predefined mapping lists. To create and edit your own lists, click Edit in the mapping list selector in the Parameters tab.

The Edit Standard dialog shows all available standard mapping lists, with predefined lists marked in red. Predefined lists cannot be edited or deleted: if you want to edit the standards in a predefined list, make a copy of the list.

Create a mapping list

To create a new list:

Step | Action
1 | Click the Edit/Create Standards button [image] .
2 | Enter a name for the list.
3 | Choose the mapping units for the list.
4 | In the Mappings List panel, click the Add new mapping button [image] or double-click on the entry marked ..., and enter a value for the standard. Repeat this step until you have entered all standards. Standards are sorted automatically in order.

Edit/remove entries from a mapping list

To remove an entry from the mapping list, select the entry and click the Delete button [image] below the right-hand panel.

You cannot edit entries directly. To change the value for an entry, delete the entry and create a new entry with the correct value.

Edit, copy, delete a list

To edit a list, select the list and change the list details.

To copy a list, select the list in the left-hand panel and click the Duplicate button [image] .

To rename a list, select the list, click the Rename button [image] and type a new name.

To delete a list, select the list and click the Delete button [image] below the left-hand panel.


Quantity calibration

Quantity calibration allows you to calculate the amount of material in all bands in the image from the band volume (total sum of pixel intensities), calibrated from values entered for bands with known amounts.

For multi-channel images, quantity calibration can only be performed in single channel view mode and applies independently to each channel.

Results of quantity calibration are shown in the measurements window, provided that the appropriate parameters are included in the table (see Analysis results).

Note:

Quantity calibration and normalization cannot both be performed on the same channel in the same analysis. However, different channels in multi-channel images may use either quantity calibration or normalization.

Assigning known band volumes

Click the band marker in the image window for the band with known amount. Enter the amount in the box that is displayed on the band.

Bands used for calibration are listed in the Parameters tab in the navigator.

Remove calibration value

To remove the calibration value from a band, right-click on the band marker or the value box in the image window. To change the value, click in the value box in the image window and enter a new value.

Clear all band volumes

To clear all assigned band volumes, click the Clear button [image] in the navigator.

Calibration settings

Parameters for quantity calibration are set in the Parameters tab in the navigator.

Setting | Description
Selected | Lists the bands that have been assigned known amounts. Amounts are assigned in the image window: you cannot edit the list in the Parameters tab.
Curve | Select the fitting function for the quantity calibration curve.
Force through Origin | Forces the calibration curve to pass through the origin (amount=0, band volume=0).
Units | Select the units for the band amount.

Applying quantity calibration

Click the Calibrate button [image] in the navigator to calculate band amounts for all bands in the image according to the current calibration settings in the Parameters panel. The calibration curve is shown in the Quantity calibration tab in the graph window. Bands for which amounts are calculated (including calibration bands with known amounts) are identified by the color of the band marker (default yellow) in the image window.

If you change the settings in the Parameters panel or edit calibration values for known bands after applying quantity calibration, band amounts are recalculated automatically.

Note:

If you remove the calibration value from a known band after applying quantity calibration, the band will no longer be calculated, as indicated by a differently colored band marker (default blue). Click the Calibrate button [image] to calculate the value for the band.


Normalization

Introduction

Normalization calculates band volumes relative to a defined value for one or more reference bands. If multiple reference bands are selected, the defined value may be set as the average or sum of the selected band volumes. Normalization is useful in comparing relative band volumes between different lanes or different images where total loading may be different.

Note:

Normalization and quantity calibration cannot both be performed on the same channel in the same analysis. However, different channels in multi-channel images may use either quantity calibration or normalization.

Perform normalization

To perform normalization:

Step | Action
1 | Click on the band marker in the image window for band(s) you wish to use as normalization reference. The band marker for selected bands is identified by a different color (default yellow).
2 | In the Parameters tab, enter the value and unit for the volume of the reference band(s).
3 | If you have selected several bands, choose whether the normalized volume refers to the average or collective volume of the selected bands.
4 | Click the Normalise button [image] in the navigator.
5 | Normalized volumes are shown in the measurements window, provided that the appropriate parameters are included in the table (see Analysis results).


Experiment overview

When image analysis is complete, the navigator displays an overview of the steps in analysis.

Click on a button for a step to go to the step. You can refine or repeat the analysis in the step: be aware however that changing the analysis of one step may invalidate subsequent steps (for example, re-detecting bands will clear molecular size calibration).

Settings in the Parameters tab determine display properties of the analysis window in the experiment overview.

Setting

Description

Current only

Lane profile and lane image are displayed for the current lane only. Click on a lane to make it current.

Overlaid

Lane profiles are shown for all selected lanes in a single profile panel. Lane images are shown for all selected lanes.

Stacked

Lane profiles are shown for all selected lanes with each profile in a separate panel. Lane images are shown for all selected lanes.

Lane Selection

Click this button to open a dialog for selecting which lanes to display in Overlaid or Stacked mode, in addition to the current lane. The current lane is always displayed.

Select a lane in one panel and use the arrow buttons to move it to the other panel. The Selected panel must contain at least one lane. If this lane is the same as the current lane, only the current lane will be displayed in the analysis window.


Reports

Options in the Reports menu allow analysis reports to be created as Adobe Acrobat (.pdf) files for printing and archiving. Report files are given names derived from the image name and report type.

Only analysis result columns shown in the measurements window are included in reports. Columns to be included are selected on the Options:Tables tab.

Option

Description

Analysis report

Generates a complete report of the analysis with an overview of the image and details of all lanes and bands.

Current lane report

Generates a report of the analysis results for the current lane. The same information is included as a section in the complete analysis report.

Lane notes

Here you can enter notes for each lane in the image. The notes will be printed as part of the lane report.

Select the lane for which you want to enter notes and type the notes in the box. Lane notes are independent for each lane.

Check Display Analysis Parameters in Lane Report to include parameter setting used in analysis in the report.

Note:

The Display Analysis Parameters in Lane Report setting applies to all lanes in the report.


Analysis toolbox

The analysis toolbox module provides tools for free analysis of images. Features in the image are defined and edited using drawing tools or an autotrace function. Intensity profiles along user-defined lines in the image are displayed in the profile window. Numerical results are calculated as a range of parameters representing feature area and volume (number of pixels and total pixel intensity), with or without subtraction of background intensity.

Main menu

Analysis results

Options

Defining objects

Background subtraction


Main menu

This section describes the menu commands that are specific to the analysis toolbox module. For details of commands common to all modules, see The Common Interface.

Edit menu

Command

Description

Undo (Ctrl+Z)

Undoes the most recent operation.

Redo (Ctrl+Y)

Restores the most recently undone operation.

Cut (Ctrl+X)

Deletes the selected object and places a copy on the Analysis Toolbox clipboard.

Copy (Ctrl+C)

Copies the selected object and places to the Analysis Toolbox clipboard.

Paste (Ctrl+V)

Pastes an object from the Analysis Toolbox clipboard to the image. The object will be placed where the cursor is placed in the image.

Duplicate (Ctrl+D)

Duplicates the selected object. The copy is offset slightly from the original.

Delete (Del)

Deletes the selected object.

Copy to Clipboard

Copies the contents of the image window to the Windows clipboard.

Note:

Do not confuse Copy (which copies an object to an internal clipboard for pasting into the image window) with Copy to Clipboard (which copies the contents of the image window to the Windows clipboard for pasting into other programs).

Export to file

See Edit menu

Export to Excel

See Edit menu

Export Lines to Clipboard

Exports the numerical intensity values for the line to the clipboard. The values can be used to reconstruct the line in third-party software.

Export Lines to File

Exports the numerical intensity values for the line to a text file. The values can be used to reconstruct the line in third-party software.

Export Shapes

Exports all objects from the current image to a shape object file (.obs).

Import Shapes

Imports the contents of a shape object file (.obs) to the current image.

Select All (Ctrl+A)

Selects all objects in the image window. Click on the boundary of a line or shape to deselect it.

Invert Selection

Reverses the selection status of all objects in the image window (selected objects become deselected and vice versa).

Shape Properties (Alt+Enter)

Opens the Shape Properties dialog (see Defining objects).

Edit Image

Opens the Image Editor (see Editing images).
Analysis menu
Command | Description | More details
Shape Definition | Provides tools for defining objects in the image window. | Defining objects.
Background Subtraction | Subtracts background intensity. | Background subtraction.
Experiment Overview | Provides an overview of the analysis steps for a completed analysis. | -
Annotate Image | Activates Annotations mode. | Annotations.
Object menu
Command | Description
Show/Hide | Opens a dialog where objects can be shown or hidden.
Group Selection | Groups selected objects into a single unit. Selecting any object in the group selects the whole group.
Ungroup | Splits a group into constituent objects.
Alignment | Aligns selected objects.


Analysis results

The area window displays measurement data for all shapes in the image window.

For multichannel images, the area window displays measurements for the channels currently shown in the image window.

Use the Options dialog to select and arrange the data that will be displayed in the area window. Data fields that can be selected for display in the area window are listed below.

  • An area is defined as the number of pixels in a given selection.

  • A volume is defined as the sum of the pixel intensity for all pixels in a given selection.

Data Field

Description

Area

The area of the image feature, that is, the number of pixels in the feature.

Average Intensity

The average pixel intensity in a given object (volume divided by area).

Background

Total background for the image feature.

Background Level

Average background intensity in the Image Rectangle used in the background subtraction method.

Background Type

The background subtraction method used.

Centre

The X, Y position of the centre of a given shape, relative to the top-left of the image (position 0,0).

Comment

Displays the text typed into the comment field.

Height

Height in pixels of the bounding rectangle of the shape.

Max Intensity

The maximum pixel intensity in a given object.

Median Intensity

The median pixel intensity in a given object.

Min Intensity

The minimum pixel intensity in a given object.

Mode Intensity

The most common pixel intensity in a given object.

Name

The name of the shape object.

Note:

Colonies are numbered in order of creation by default. The name can be changed using in-place editing or the Properties dialog box.

Percent

The percentage of total volume for all area objects represented by a given object.

Std Dev

The standard deviation of the pixel intensities within a given area.

Variance

The population variance (not sample variance) of the pixel intensities within a given area.

Volume

The raw volume of the uncalibrated quantity of material in the image feature excluding background.

Volume + Background

The uncalibrated quantity of material detected including background.

Width

Width in pixels of the bounding rectangle of the shape.


Options

Tables tab

Select the parameters to display in the measurement window. Use the up and down arrows to rearrange the order of columns in the measurement window.

See Analysis results for a description of the parameters.

Area Window tab

In the Display panel, choose whether to display data in the area window for all objects or only for objects that are currently selected in the image window.

In the Selection panel, choose how selection in the area window is linked to the image window:

  • If Synchronise object selection with table cell selection is checked, selecting a table cell in the area window will also select the corresponding object in the image window.

  • If Automatically centre image on selection is checked, selecting a table cell in the area window will centre the corresponding object as far as possible in the image window. This option is only relevant when the image window is zoomed.

Line Window tab

Choose whether intensity profiles should be displayed in the line window for all lines or only for lines that are currently selected in the image window.

Printing/Copying tab

The Printing/Copying tab controls how the content of windows will be printed and copied.

&&new dump

The settings on this tab affect the Copy to Clipboard and Export to File commands from the Edit menu and the Print command from the File menu. The tab can also be accessed with the File:Printing Options command.

Image area

In the Image area:

  • Choose Visible area of the image to copy or print the area of the image that is currently visible.

  • Choose The whole of the image to copy or print the whole image at the original size regardless of the area displayed on the screen.

Print scale area

In the Print scale area:

The Print scale options determine printing scale for image and analysis windows. Print scaling applies regardless of the Image area setting.

  • Fit to the page prints the image at the largest size that will fit the page.

  • Scaled scales the image with reference to original size. Enter a scaling percentage value.

  • Actual gel size prints the image at the actual size of the physical gel, determined from the pixel count and scanning resolution.

Page setup for tables

Click Page setup for tables to set the page layout for printing the tables in the measurements window:

Set the page margins or accept the default. Margins specified here are added to any margins and unprintable regions on your printer. Printout identification is placed in the top and bottom margins. The top and bottom margins have a minimum value of 1.5 inches (3.8 cm) to allow for printout identification.

Check the titles and gridline components that you want to use.

The Page Order setting determines how the printout will be divided over multiple pages.

Check Save settings to profile to keep these settings in your profile.


Defining objects

Objects in the image window may be shapes or lines. Measurements for shapes are reported in the area window. Intensity profiles for lines are displayed in the lines window.

For multi-channel images, objects can only be defined and edited in single channel view mode. Each channel has a separate set of objects.

Defining shape objects

The following shape objects can be defined:

Shape | Button | Description
Rectangle |  | Consists of a rectangular area. Drag with the mouse to define a rectangular object.
Polygon |  | Consists of an area delimited by a number of straight sides. Drag with the mouse to define the first side. Thereafter, click to define additional corners. Right-click to add the final corner and complete the object. A polygonal object must have at least three sides.
Ellipse |  | Consists of an elliptical area. Drag with the mouse to define an ellipse object.
Closed spline |  | Consists of an area delimited by a number of curved sides, defined by fixed points. Drag with the mouse to define the first two fixed points. Thereafter, click to define additional fixed points. Right-click to add the final fixed point and complete the object. Fixed points are connected with curved sides, with the curvature determined by the relative positions of three adjacent fixed points. A closed-spline object must have at least three sides.
Grid |  | Consists of a rectangular grid. Clicking the button opens a dialog box where you set the required number of rows and columns in the grid object. Set the grid size and then drag with the mouse to define the grid. Each cell in the grid is analyzed as a separate shape.
Autotracing objects

Autotracing allows the borders of image features to be detected automatically. To use this function:

Step | Action
1 | Set a size for the region of interest in the Parameters tab. This should be larger than the feature you wish to trace.
2 | Zoom the image window so that image features are clearly displayed. Ideally, single pixels should be visible.
3 | Right-click on a pixel that represents the edge of the feature. This will set an intensity value for the Threshold parameter.
4 | Left-click on a darker pixel in the feature. The feature will be identified as a shape object defined by the threshold intensity at the edge. If you left-click on a pixel that is lighter than the threshold, the object will be defined as a rectangle with the dimensions of the region of interest.
5 | If the resulting shape object is a rectangle representing the region of interest, delete the object and either reduce the threshold value or click on a darker pixel in the feature.
6 | If the resulting shape object is too large, delete the object and increase the threshold value, either by right-clicking a new pixel or by entering a higher number in the Parameters tab. If the resulting shape object is too small, decrease the threshold value.
Defining line objects

The following line objects can be defined:

Shape | Button | Description
Line |  | Consists of a single straight line. Drag with the mouse to define a line object.
Polyline |  | Consists of a number of connected straight-line segments. Drag with the mouse to define the first segment. Thereafter, click to define additional segments. Right-click to add the final segment and complete the object.
Spline |  | Consists of a curved line connecting a number of fixed points. Drag with the mouse to define the first two fixed points. Thereafter, click to define additional fixed points. Right-click to add the final fixed point and complete the object. Fixed points are connected with a curved line, with the curvature determined by the relative positions of three adjacent fixed points.
Freehand |  | Consists of a line drawn freely in the image window. Drag with the mouse to draw the line.
Selecting objects

To select a single object, click on the object boundary.

To select multiple objects, either

  • Click the Selector button [image] in the navigator, then Ctrl-click on the boundary of each object,

    or

  • Click the Selector button [image] in the navigator, then drag to enclose the required objects: only objects that are completely contained in the defined area will be selected,

Choose Edit:Select All to select all objects.

To deselect an object from a multiple selection, click on the object boundary.

Choose Object:Group Selection to convert a multiple object selection into a single group. Individual objects cannot be selected if they have been grouped. Select the group and choose Object:Group to split a group into its constituent objects.

Moving and resizing objects

To move an object or group of objects, drag the object with the mouse. If the object is selected, avoid dragging on a boundary handle. The pointer changes to [image] to indicate that the object will be moved.

To resize an object, select the object and drag a boundary handle. The pointer changes appearance to indicate that the handle will be moved (the appearance varies according to the type of object). Objects in a group cannot be resized.

Objects can also be rotated (see Object properties).

Object properties

To access the Shape properties dialog, select one or more objects and choose Edit:Shape Properties, or right-click on an object and choose Properties. If multiple objects are selected, the property settings will apply to all objects.

Property

Description

Name and comment

Allows one or two text labels to be defined for the object. Enter text and choose the orientation and placement for the label. Check the Show option to display the label in the image window. Click Font to define the font for label display.

By default, objects are named by a serial number in the order they are created. The same name and comment may be assigned to multiple objects.

Pen

Select the color and pen size in pixels used for display of the object boundary in the image window.

Rotate object

Rotates the object clockwise by the specified number of degrees.


Background subtraction

Introduction

Background subtraction compensates for the background intensity in the image, so that measured feature volumes are a closer representation of the amount of material in the feature. There are 4 methods for background subtraction, selected from the Parameters panel in the navigator. Background can only be subtracted from shape objects, not from line objects.

Subtract background intensity

To subtract background intensity:

Step | Action
1 | Select the object or objects from which you want to subtract background.
2 | Select the background subtraction method (see Background subtraction methods).
3 | Click the Subtract button [image] in the navigator.

Undo background subtraction

To cancel background subtraction for a selected object or objects, choose None as a background method. To cancel background subtraction for all objects, click the Clear button in the navigator.

Background subtraction methods
Method | Description
Local average | Uses the average pixel intensity for all pixels in the object.
Local median | Uses the median pixel intensity for all pixels in the object.
Histogram peak | Determines the background of an area by selecting a strip, from top to bottom of the image, equal to the object width and calculating the modal value of the pixels. The value that occurs most often within this area is used as the background value.
Image Rectangle/Ellipse | Uses the average pixel intensity in a defined rectangular or elliptical area of the image. To define the area for background calculation, select the background shape in the navigator and then drag with the mouse. Background areas are identified by a broken colored border, and are numbered in the sequence in which they are created. If you have defined several background areas, select the area to use in the Parameters tab.
None | Cancels background subtraction for the selected object or objects.


Colony counter

The colony counter module provides functions for analysis of spots that are not in a regular array, and is designed primarily for use with images of microbial colonies on for example agar plates. Spot analysis provides data on number, size (area and volume), average intensity and circularity of spots. The module can also be used for analysis of 2D gel images.

Note:

The colony counter module does not support multi-channel images.

Main menu

Analysis results

Options

Detecting colonies

Editing detected colonies

Background subtraction


Main menu

Only the Analysis menu is specific to the colony counter module. For details of commands in the other menus, see The Common Interface.

Command | Description | More details
Detection | Defines parameters for detecting spots. | Detecting colonies.
Editing | Allows spots to be edited or deleted. | Editing detected colonies.
Background Subtraction | Subtracts background intensity. | Background subtraction.
Experiment Overview | Provides an overview of the analysis steps for a completed analysis. | -
Annotate Image | Activates Annotations mode. | Annotations.


Analysis results

The measurements window displays the analysis results.

Use the Options:Tables tab to select and arrange the data that will be displayed in the measurements window. Data fields that can be selected for display in the measurements window are listed below.

  • An area is defined as the number of pixels in a given selection.

  • A volume is defined as the sum of the pixel intensity for all pixels in a given selection.

Data Field

Description

Area

The area of the colony, that is, the number of pixels in the colony

Average intensity

The average pixel intensity in the colony (volume divided by area).

Background

Total background for the colony.

Circularity

A measurement indicating the roundness of a colony on a scale of 0-1.0.

Colony Number

A unique identification number given to a detected colony. Colonies are numbered from top left to bottom right across the selected area.

If a detected colony is deleted or partially deleted during the analysis, the colony number is eliminated. Remaining colonies are not re-numbered.

If a detected colony is partially deleted, the original number is eliminated and the remainder of the colony is assigned a new identification number at the bottom of the list.

Coordinates

Equivalent to the weighted centre of the detected mass, with the coordinates rounded to the nearest integer.

Volume

The volume (total pixel intensity) of the colony excluding background.

Volume + Background

The volume (total pixel intensity) of the colony including background.


Options

Image tab

The Image tab contains settings for the image window display.

In the Options dialog choose which items to show in the image window.

Option

Description

Show image

Check this option to show the image in the image window. If this option is unchecked, the image will not be visible but analysis will still apply to the hidden image.

Show annotations

Check this option to show annotations in the image window.

Show colonies

Check this option to show detected colonies.

Show current colony

Check this option to highlight the current colony in a different color. If this option is not checked, the current colony will be displayed in the same way as other colonies.

Note:

A colony can only be selected as current in the experiment overview step when the analysis is complete.

Colony style

Choose how colonies should be displayed.

  • Standard shows the colony area in color

  • Outline shows the colony outline in color

  • Crosshairs identifies colonies with a + sign.

  • Bullet identifies colonies with a bullet point in the colony centre.

In the Colony colours panel, set the colors for colonies and current colony. To change a color, click on the color box and choose the new color from the color picker.

Tables tab

Select the parameters to display in the measurement window. Use the up and down arrows to rearrange the order of columns in the measurement window.

See Analysis results for a description of the parameters.

Printing/Copying tab

The Printing/Copying tab controls how the content of windows will be printed and copied.

The settings on this tab affect the Copy to Clipboard and Export to File commands from the Edit menu and the Print command from the File menu. The tab can also be accessed with the File:Printing Options command.

Image area

In the Image area:

  • Choose Visible area of the image to copy or print the area of the image that is currently visible.

  • Choose The whole of the image to copy or print the whole image at the original size regardless of the area displayed on the screen.

Print scale area

In the Print scale area:

The Print scale options determine printing scale for image and analysis windows. Print scaling applies regardless of the Image area setting.

  • Fit to the page prints the image at the largest size that will fit the page.

  • Scaled scales the image with reference to original size. Enter a scaling percentage value.

  • Actual gel size prints the image at the actual size of the physical gel, determined from the pixel count and scanning resolution.

Page setup for tables

Click Page setup for tables to set the page layout for printing the tables in the measurements window:

Set the page margins or accept the default. Margins specified here are added to any margins and unprintable regions on your printer. Printout identification is placed in the top and bottom margins. The top and bottom margins have a minimum value of 1.5 inches (3.8 cm) to allow for printout identification.

Check the titles and gridline components that you want to use.

The Page Order setting determines how the printout will be divided over multiple pages.

Check Save settings to profile to keep these settings in your profile.

Detecting tab

Determines whether to use "on-the-fly" detection. This feature adjusts colony display dynamically as the Sensitivity and Operator Size sliders are moved without releasing the mouse button in the detection step (see Detecting colonies). Display adjustment may be fairly slow if the image area contains a large number of pixels, and on-the-fly detection will only be applied if the area of interest contains fewer pixels than the specified limit. As a general guideline, an area of interest of 1 MB represents an area of about 3.3 inches (8.4 cm) square scanned at a resolution of 300 dpi.

The measurements window is only updated when the mouse button for the Sensitivity and Operator Size sliders is released, regardless of the setting for on-the-fly detection.


Detecting colonies

To analyze an image in the colony counter module, set an area of interest (AOI) to define the image area that will be analyzed, then adjust the detection parameters as required.

Setting an area of interest

Choose whether the AOI should be circular or rectangular, then drag with the mouse in the image window to define the AOI. A circular AOI is drawn within the limits of the rectangle set by dragging. The pointer position is marked with crosshairs extending over the whole image window to assist in defining circular AOIs.

Colonies are detected automatically as soon as you define or change the AOI. You can switch between circular and rectangular AOI without redrawing the area.

Detection parameters

Colony detection is controlled by the settings in the Parameters tab in the navigator:

All values except automatic splitting can be set numerically. In addition, sensitivity and operator size can be adjusted using the sliders in the navigator. If you change settings using a slider or by clicking the scroll buttons for a numerical value, colonies will be re-detected automatically. However, if you enter numerical values for parameters directly, you must click on the Detect button [image] in the navigator to apply the new values.

Parameter

Description

Sensitivity

Parameter controlling the sensitivity of the detection algorithm (range 1-10,000). Higher values will detect fainter colonies.

To obtain a default value for the sensitivity based on the selected area of interest, click the Initialise Sensitivity [image] button.

Noise factor

Represents the width of the edge and centre filters of the detection operator. The higher this value, the greater the compensation for noise in the image and hence the greater the accuracy. However, increasing this will also slow detection considerably, as you are greatly increasing the amount of processing required per pixel.

The noise factor range is an odd number with the minimum value of 1. The maximum value depends on the selected operator size. It is equal to the odd number that is nearest to half the current operator size.

Operator size

Width of the detection operator, proportional to the size of the spots you are trying to detect . The operator size range is an odd number between 5 – 699. Higher values will tend to detect only the larger colonies and miss the smaller ones.

Background

A bias value added to all pixel values before any calculations are performed. Increasing the background value decreases the detected area of colonies. The background range is 0–14999.

Note:

This value is not related to the value used in background subtraction (see Background subtraction).

Automatic splitting

Controls automatic splitting of overlapping colonies. Drag the slider to higher values to increase the number of overlapping colonies that are split automatically. You can also split overlapping colonies manually in the editing step.


Editing detected colonies

The results of automatic colony detection can be adjusted as required in the editing step. Editing functions include

  • Drawing and erasing colonies

  • Deleting colonies

  • Splitting overlapping colonies

  • Renumbering colonies

Drawing and erasing colonies

Step | Action
1 | Choose the appropriate pen size in the navigator.
2 | Select the Draw or Erase Features button [image] .
3 | Use the left mouse button to draw new colonies and the right mouse button to erase part or whole colonies. New areas are added at the bottom of the list in the measurements window (see Editing detected colonies).

The erase function is intended primarily for adjusting the size or shape of a detected area. You can however also use the erase function to delete colonies or to split the detected area for overlapping colonies.

Deleting colonies

To delete a single colony, select the Delete Features button [image] then click on the colony you want to delete.

To delete all colonies in the image, click the Clear button [image] in the navigator.

To restore a deleted colony, use the draw function.

Splitting colonies

To split the detected area for overlapping colonies into separate colonies, select the Split Features button [image] then drag with the mouse where you want to split the area.

The split is made with a straight line of width 1 pixel. When you split a detected area into two colonies, the original colony is deleted from the measurements window and the new colonies are added at the bottom of the table.

You can also split colonies using the erase function. With this method, the split can be made with a line of any shape and with the width of the pen setting.

To restore split colonies to a single detection area, use the draw function.

Renumbering colonies

Colonies are initially numbered in order from left to right, top to bottom in the image, and listed in order in the measurements window. As you add and delete colonies in the editing step, deleted colonies are removed from the table in the measurements window, and new colonies are added at the bottom of the table.

To renumber colonies according to position in the image, click the Renumb. button [image] in the navigator.


Background subtraction

Introduction

Background subtraction compensates for the background intensity in the image, so that measured colony volumes are a closer representation of the amount of material in the colonies. There are 2 methods for background subtraction, selected from the Parameters panel in the navigator.

Subtract background intensities

To subtract background intensity, choose the subtraction method and click the Subtract button [image] in the navigator.

Undo subtract background intensities

To cancel background subtraction, choose None as a background method or click the Clear button in the navigator.

Background subtraction methods

Method

Description

Image rectangle

Uses the average intensity level within a specified rectangle on the image. Drag with the mouse in the image window to define the rectangle for background intensity.

The image rectangle will produce a single value for background. This is removed from each pixel in a spot. If the background value is higher than pixel value then the value zero is used. The total background can therefore vary between spots.

Mode non-Spot

Uses the lowest pixel intensity in a rectangular border enclosing the colony, with a width specified as the Margin value. Any colonies in the border area are ignored.

For 12- and 16-bit images where the possible number of pixel intensities is very large, pixel intensities in the border are assigned to groups covering a range of intensities, and the average intensity in the lowest group is used as background.

None

Cancels background subtraction. You can also cancel background subtraction by clicking the Clear button in the navigator.


Array analysis

The Array Analysis module is designed for analysis of images consisting of rectangular arrays, such as microplates, dot blot and slot blot images. Spots or slots in the image are analyzed for volume (total pixel intensity) and may be flagged as present or absent on the basis of a user-defined threshold.

Main menu

Analysis results

Options

Spot definition

Background subtraction

Normalization

Presence flagging


Main menu

This section describes the menu commands that are specific to the array analysis module. For details of commands common to all modules, see The Common Interface.

Edit menu

Command | Description
Copy and Paste Grid | Allows the grid to be copied from one image and pasted in another. The grid is defined in terms of number of pixels, so that a grid pasted in an image of a different size from the source will cover a different proportion of the image. A grid cannot be pasted in an image that is smaller than the grid size.
Delete Grid | Deletes the current grid and all current analysis results.
Spot Properties | Sets properties for the currently selected spot or spots. See Editing spot properties for details.
Edit Image | Opens the image editor (see Editing images).

Analysis menu

The analysis menu includes the following commands, corresponding to steps in the analysis. The current step is marked in the menu.

Command | Description | More details
Spot Definition | Defines the grid and spots in the array. | Spot definition.
Background Subtraction | Subtracts background intensity. | Background subtraction.
Normalisation | Normalizes spot volumes with reference to a selected spot. | Normalization.
Experiment Overview | Provides an overview of the analysis steps for a completed analysis. | -
Annotate Image | Activates Annotations mode. | Annotations.


Analysis results

The results of the analysis are displayed in the measurements window. Three different tables of data are available. Each can be viewed by clicking on its tab at the bottom of the window.

  • Current grid shows grid data for the current step in the analysis. The table is arranged to correspond to the grid, with horizontal rows and vertical columns. Only one parameter is shown for each spot in the array. The parameter is automatically selected as most relevant to the analysis step (e.g., normalized volumes are shown when the normalization step is applied), but you can temporarily select a different parameter in the Options:Tables tab. The parameter will revert to the default choice the next time you access the analysis step.

  • Selected spots shows data for the currently selected spot or spots. Click on a column header to sort the table rows by the content of the column.

  • All spots shows data for all spots in the array. Click on a column header to sort the table rows by the content of the column.

Customize the Measurement Window table

Use the Options:Tables tab to select and arrange the data that will be displayed in the measurements window. The selection and ordering applies to all three tabs in the window.

Data fields that can be selected for display in the measurements window are listed below.

  • An area is defined as the number of pixels in a given selection.

  • A volume is defined as the sum of the pixel intensity for all pixels in a given selection.

Measurement Window column description

Data Field

Description

Area

The area of the image feature, that is, the number of pixels in the feature.

Background

Total background for the image feature.

Coordinates

Equivalent to the geometric centre of the detected mass, with the coordinates rounded to the nearest integer.

Normalised volume

The normalized volume of the spots.

Presence / Absence

Value 1 for spots that contain a sufficient quantity of material to be considered present and 0 for spots not considered as present. The threshold volume can be set in the Presence Flagging dialog box.

Spot Label

Identification label for spots in the image. The label for a spot can be edited in the Spot Properties dialog box, and in the table when you select the Spot Label field.

Spot Quality

Spots are assessed automatically for quality in the analysis. Spots judged to contain no intensity above background are flagged as noise. Spots judged to contain small areas of high intensity are flagged as spike.

This quality assessment is provided for general guidance only. The threshold for noise and spike detection cannot be adjusted.

Spot Radii

X and Y radii for the given spot.

Volume

The raw volume of the uncalibrated quantity of material in the image feature excluding background.

Volume + Background

The uncalibrated quantity of material detected including background.


Options

Image tab

The Image tab contains settings for the image window display.

In the Display options panel, choose whether to display spot numbers and annotations. Hiding spot numbers in the image window does not affect the measurement window.

In the Spot colours panel, set the colors for display items in the image window. To change a color, click on the color box and choose the new color from the color picker.

Tables tab

Select the parameters to display in the measurement window. Use the up and down arrows to rearrange the order of columns in the measurement window. Settings in the Tables tab apply separately to the different tables in the measurements window (see Analysis results). Select the table in the dialog box before making changes to the selected fields.

See Analysis results for a description of the parameters.

Note:

Only one field can be selected for the Current Grid table.
Printing/Copying tab

The Printing/Copying tab controls how the content of windows will be printed and copied.

The settings on this tab affect the Copy to Clipboard and Export to File commands from the Edit menu and the Print command from the File menu. The tab can also be accessed with the File:Printing Options command.

Image area

In the Image area:

  • Choose Visible area of the image to copy or print the area of the image that is currently visible.

  • Choose The whole of the image to copy or print the whole image at the original size regardless of the area displayed on the screen.

Print scale area

In the Print scale area:

The Print scale options determine printing scale for image and analysis windows. Print scaling applies regardless of the Image area setting.

  • Fit to the page prints the image at the largest size that will fit the page.

  • Scaled scales the image with reference to original size. Enter a scaling percentage value.

  • Actual gel size prints the image at the actual size of the physical gel, determined from the pixel count and scanning resolution.

Page setup for tables

Click Page setup for tables to set the page layout for printing the tables in the measurements window:

Set the page margins or accept the default. Margins specified here are added to any margins and unprintable regions on your printer. Printout identification is placed in the top and bottom margins. The top and bottom margins have a minimum value of 1.5 inches (3.8 cm) to allow for printout identification.

Check the titles and gridline components that you want to use.

The Page Order setting determines how the printout will be divided over multiple pages.

Check Save settings to profile to keep these settings in your profile.


Spot definition

The first step in analyzing an array is to define the grid and adjust either the whole grid or individual spots as required by the image. Spot properties such as labels can also be edited.

Defining the grid layout

Settings in the Parameters tab in the navigator define the grid layout in terms of grid dimensions and the size and shape of the spots. Grid layouts can be saved for repeated use.

A number of pre-defined grid layouts are supplied with the software. Follow the steps below to create your own grid definition:

Step

Action

1

Set the number of columns and rows in the grid.

2

Choose whether spots should be auto-sized when the grid is applied. If this option is not checked, set the spot dimensions.

Note:

Only the x-radius can be set for circular and square spots.

For square and rectangular spots, the "radius" is half the length of the side.

3

Choose the shape of the spots (circle, square or rectangular slot).

4

To save the grid definition for repeated use, click Save As and enter a name for the grid type.

To delete a saved grid definition, choose the layout in the Grid Type list and click Delete.

Applying a grid

To apply the grid automatically to the current image, select the grid type or define the grid layout and click the Detect button [image] in the navigator. If the Auto-size upon creation option is checked, the software will attempt to find the spot positions and borders within the grid.

To apply the grid manually, click on a spot at one corner of the array and drag to the opposite corner.

Any previously applied grid will be cleared from the image.

The grid is initially applied as a rectangular array. Corner spots are marked with a handle in the spot centre. Both grid and spots can be adjusted as described in the following sections.

To delete the grid, click the Clear button [image] in the navigator, or right-click in a spot in the grid and select Delete Grid.

Adjusting the grid

To adjust the grid, make sure that Create & Stretch Grids [image] is selected in the navigator.

Operation | Instruction
Moving the grid | To move the grid, drag any spot except the handles in the corner spots. You cannot move the grid so that any part falls outside the image.
Distorting the grid | To distort the grid (for example to accommodate a skewed image), drag the handles in the centre of the corner spots.
Resizing the grid | To resize the grid, drag the corner handles separately until the grid coincides with the image array.
Changing grid layout | Changing the grid layout settings in the Parameters tab will change the layout of the current grid accordingly.
Adjusting individual spots

To adjust individual spots, make sure that Move & Resize Spots [image] is selected in the navigator. Changes will be applied to the currently selected spot or spots. Click on a spot to select it. Ctrl-click to select multiple spots, or drag around an area to select all spots in the area. Selected spots are indicated by a different border color.

Operation

Instruction

Moving spots

To move a spot or group of spots, drag with the pointer inside one of the selected spots. The pointer changes to [image] to indicate that the dragging will move the spot(s).

Resizing spots

To resize a spot or group of spots, drag the centre of the top, bottom or sides of the boundary of a selected spot. The pointer changes to [image] or [image] to indicate that the dragging will move the spot(s).

Alternatively change the spot radius in the Parameters tab in the navigator. This will affect only currently selected spots.

Changing spot shape

To change the shape of spots, select a new shape in the Parameters tab in the navigator. This will affect all spots. You cannot mix different spot shapes in the same array.
Editing spot properties

To edit the properties of a spot or group of spots, right-click on the a selected spot and choose Spot Properties.

Property | Description
Identification | Spots are identified by coordinates in the grid (lettered rows and numbered columns, starting at the top left of the grid). Enter a label for the spot if you want additional identification.
Size and shape | These settings correspond to the settings in the Parameters tab in the navigator. Selecting a different shape will change the shape for all spots in the grid.
Miscellaneous | Check Exclude from analysis to exclude the selected spot or spots from the analysis.


Background subtraction

Introduction

Background subtraction compensates for the background intensity in the image, so that measured spot volumes are a closer representation of the amount of material in the spots. There are 4 methods for background subtraction, selected from the Parameters panel in the navigator.

Subtract background intensities

To subtract background intensity, choose the subtraction method and click the Subtract button [image] in the navigator.

For multi-channel images, the same background subtraction method is applied to all channels, but each channel uses separate baseline calculation.

Undo subtract background intensities

To cancel background subtraction, choose None as a background method or click the Clear button in the navigator.

Background subtraction methods

Method

Description

Spot surface minimum

Uses the lowest pixel intensity in the spot as background. The background is determined separately for each spot.

Spot edge average

Uses the average intensity on the spot edge (width 1 pixel). The background is determined separately for each spot. This method usually provides a good local background determination and is generally recommended.

Negative controls

Uses the average intensity of spots defined as negative controls. Select a spot and click Set negative control [image] to define a negative control spot. You can define as many negative control spots as required. To restore a negative control spot to normal status, select the spot and click Deselect negative control [image] .

Measurement parameters for negative control spots are shown as Background in the measurements window.

This method uses the same background value for all spots in the grid.

Image rectangle

Uses the average intensity level within a specified rectangle on the image. Drag with the mouse in the image window to define the rectangle for background intensity.

Note:

The spot boundaries are hidden when this method is selected.

The image rectangle will produce a single value for background. This is removed from each pixel in a spot. If the background value is higher than pixel value then the value zero is used. The total background can therefore vary between spots.

None

Cancels background subtraction. You can also cancel background subtraction by clicking the Clear button in the navigator.


Normalization

Introduction

Normalization calculates spot volumes relative to a defined value for one or more reference spots. If multiple reference spots are selected, the defined value may be set as the average or sum of the selected spot volumes. Normalization is useful in comparing relative spot volumes between different images where total loading may be different.

Perform normalization

To perform normalization:

Step | Action
1 | In the image window, click on the spot you wish to use as normalization reference. Ctrl-click to select multiple spots, or drag around an area to select all spots in the area. Selected spots are indicated by a different border color.
2 | In the Parameters tab, enter the value and unit for the volume of the reference spot(s).
3 | If you have selected several spots, choose whether the normalized volume refers to the average or collective volume of the selected spots.
4 | Click the Normalise button [image] in the navigator.
5 | Normalized volumes are shown in the measurements window, provided that the appropriate parameters are included in the table (see Analysis results).


Presence flagging

Introduction

Spots are flagged as Present or Absent on the basis of spot volume (total pixel intensity) above or below a threshold. Spots that are flagged as present or absent are distinguished by different colors in the image window. The flag is listed in the Present column in the measurement window.

The software automatically estimates a threshold value based on the spot volume and the background. You can adjust the threshold to suit your analysis.

Adjusting thresholds for presence flagging

To adjust the threshold so that all spots with a volume higher than a given spot are flagged as present, select the spot and click Define spots as present or right-click on the spot and choose Define Presence. Conversely, to adjust the threshold so that all spots with a volume lower than a given spot are flagged as absent, select the spot and click Define spots as absent or right-click on the spot and choose Define Absence. If you have selected a group of spots, the threshold for presence or absence will be set at the lowest or highest spot volume respectively in the group (so that all spots in the group are flagged as requested).

You can also adjust the threshold by dragging the Flagging threshold slider in the navigator, or entering a numerical value (range 1-100) for the threshold. The numerical threshold value does not correspond directly to a spot volume.

Restoring default threshold values for presence flagging

To restore the default threshold value, determined software from the spot volumes and background values, click the Estimate button [image] in the navigator.


IQTL SecurITy

IQTL SecurITy Introduction

Assign IQTL SecurITy user privileges

Secure Folder

Connect IQTLSecurITy and the Secure Folder

IQTL SecurITy features


IQTL SecurITy Introduction

IQTL SecurITy is a separate software package that offers functionality for analysis of 1D electrophoresis experiments, in particular if performed in a secure data environment, and supports the need for traceability and control of data.

Main features

Based on the existing ImageQuant TL 1D analysis software, IQTLSecurITy provides added functionality for regulated applications. The main features are:

  • User access control

  • Version control

  • Experimental audit trail

User security includes personal user names and passwords, and electronic signatures. Your images and experiment data are saved in a Secure Folder. The experiments can only be checked-out from the Secure Folder for further analysis by one person at a time. Moreover, all actions are recorded, enabling traceability and repeatability.

All components of the IQTL SecurITy package require user login with a current Windows username and password.

IQTLSecurITy modules

IQTLSecurITy consists of three modules.

Module | Function
IQTLSecurITy Admin Tool | Setup of user security. Is used to assign analysis rights to users and to select an existing Secure Folder for storing images and experiment files.
IQTLSecurITy Version Control Tool | Management of versions and approval of experiments. Is used to check out and check in image and experiment files to the Secure Folder and to approve analysis results. You can also archive analyzed results.
IQTLSecurITy 1D Gel Analysis Tool | Main 1D gel analysis software. Analysis functions are described in 1D gel analysis.

Note:

The analysis functions in IQTL SecurITy 1D Gel Analysis are similar to those in the 1D module for ImageQuant TL. However, the ImageQuant TL 1D module does not provide security functions and should not be used together with the other software components of IQTL SecurITy.


Assign IQTL SecurITy user privileges

Introduction

IQTL SecurITy user groups


Introduction

This chapter describes how to assign different IQTLSecurITy user privileges.

This is performed in the IQTLSecurITy Admin Tool and must be done to be able to use the IQTLSecurITy Version Control Tool and the IQTLSecurITy 1D Gel Analysis software.

Only computer administrators have permission to administrate user accounts. To be able to enter the IQTLSecurITy Admin Tool, you must log on to Windows as a computer administrator.

Pre-requisites

Before you set up user security, you must have installed the IQTLSecurITy software on your computer. The installation program is found on the enclosed DVD and run according to Software installation.

To be able to set up user security properly and in the future perform audits of each user on an individual level, all users must have a personal Windows user name and password. Domain accounts are required to operate in a network.

Note:

To make full use of the SecurITy features, we recommend to set up a Secure Folder as a shared folder on the domain network. All following descriptions in this chapter will only describe how to set up the Secure Folder as a shared folder on the domain network, and not discuss other solutions.


IQTL SecurITy user groups

The software allows three types of user groups: IQTLSecurITy Supervisors, IQTLSecurITy Users and IQTLSecurITy Viewers. In this manual the groups are called Supervisors, Users and Viewers.

At installation the three groups are created automatically. The computer administrator assigns user accounts to these groups on the local computer. The groups are separated by levels of privilege, as shown below. The restrictions to delete are defined by the Secure Folder configuration (see Secure Folder). For a domain network Secure Folder, the corresponding domain user groups must be created and administered by a domain administrator.

  • Supervisor: All access.

  • User: All access except to approve, archive and delete experiments.

  • Viewer: Only able to view experiments.

The table below describes the privileges within the IQTLSecurITy software of the user groups. These user groups are created automatically on the local computer at installation of IQTLSecurITy.

User group | View | Analyze | Approve | Archive
Supervisor | yes | yes | yes | yes
User | yes | yes | no | no
Viewer | yes | no | no | no

Note:

Limit the number of Supervisors as they have the ability to approve and archive experiments.

In addition to the pre-set privileges, only the Supervisor should be able to delete experiments and files. These permissions are set in the Secure Folder (Secure Folder).

Assign users to an IQTL SecurITy user group

Only computer administrators can assign users to and remove users from groups. This is performed in the IQTLSecurITy Admin Tool.

Step

Action

1

To start the IQTLSecurITy Admin Tool, double-click its icon on the desktop.

2

In the User Administration window, choose Group in the drop down list.

Note:

At this stage the pane below (the group’s user list) is empty, because no users have been assigned to the group IQTLSecurITy Supervisors.

3

To add a user to the selected group click Add.

4

In the Add User dialog:

  1. Enter the user account name in User Name.

  2. Choose the user’s Domain.

  3. Click OK to add the selected user.

Result: The dialog is closed and the name appears in the group’s user list.

Note:

If the user account does not exist, a notification will appear.
Remove users from an IQTL SecurITy user group
Step | Action
1 | In the User Administration window, choose Group in the drop down list.
2 | Select a user from the user list.
3 | Click Remove. Result: The user is removed from the group’s user list.


Secure Folder

The Secure Folder is a shared folder on the network where the images and experiment data used by IQTLSecurITy are stored. Only the domain network administrator can set up a Secure Folder with correct user access and permissions.

This folder will store the following data files:

  • Images added via the Version Control tool.

  • Experiment files stored via the Version Control tool after an analysis has been performed in the 1D Gel Analysis program (a copy for each version).

  • Audit trail of the Version Control events.

To prevent accidental deletion of files or a Secure Folder, only Supervisors should have permission to delete files and folders. A network administrator shall set the users’ permissions for the Secure Folder as described in this section. Together with the IQTL SecurITy user privileges, the user groups will then have the combined privileges, including the Delete restriction (see the table below).

User group | View | Analyze | Approve | Archive | Delete
Supervisor | yes | yes | yes | yes | yes
User | yes | yes | no | no | no
Viewer | yes | no | no | no | no

Note:

File and folder deletions are not possible through the IQTLSecurITy tools, but may be performed by a Supervisor through Windows explorer if necessary.
Create domain user groups

When administrating Windows user permissions it is recommended to add users into groups. The permissions are then granted for each group. All users of the same group will have the same access. Three new user groups should be created, one per IQTLSecurITy user category: Supervisors, Users and Viewers.

Create a Secure Folder

The Secure Folder is a shared network folder with appropriate access rights.

The network administrator creates a Secure Folder on the network, by creating a new folder in Widows Explorer at the desired network location.

Assign user group access and permissions to the Secure Folder

The network administrator assigns access for each of the three domain user groups to a Secure Folder.

To enable the full potential of IQTLSecurITy, only the Supervisor group shall have ability to delete files and folders, and change permissions. The network administrator must set permissions to a Secure Folder.

The recommended permissions settings for the three IQTLSecurITy user groups are shown in table below.

Permission | IQTLSecurITy Supervisors | IQTLSecurITy Users | IQTLSecurITy Viewers | Administrators
Full Control | yes | no | no | yes
Traverse Folder / Execute File | yes | yes | yes | yes
List Folder / Read Data | yes | yes | yes | yes
Read Attributes | yes | yes | yes | yes
Read Extended Attributes | yes | yes | yes | yes
Create Files / Write Data | yes | yes | no | yes
Create Folders / Append Data | yes | yes | no | yes
Write Attributes | yes | yes | no | yes
Write Extended Attributes | yes | yes | no | yes
Delete Subfolders and Files | yes | no | no | yes
Delete | yes | no | no | yes
Read Permissions | yes | yes | yes | yes
Change Permissions | yes | no | no | yes
Take Ownership | yes | no | no | yes
Assign users to the domain network IQTL Security Groups

The users must be assigned to appropriate groups by the domain administrator, in order to achieve their intended privileges.

Note:

It is important to assign the users to their corresponding groups defined in the IQTL SecurITy user groups (see IQTL SecurITy user groups).
Share the Secure Folder on the network

To make the Secure Folder accessible on the network it must be shared. The folder share permission should by the domain administrator be set according to the table below.

Permission | IQTLSecurITy Supervisors | IQTLSecurITy Users | IQTLSecurITy Viewers
Full Control | yes | no | no
Change | yes | yes | no
Read | yes | yes | yes


Connect IQTLSecurITy and the Secure Folder

The computer administrator connects the Secure Folder to IQTLSecurITy via the IQTLSecurITy Admin Tool.

Step | Action
1 | To start the IQTLSecurITy Admin Tool, double-click its icon on the desktop.
2 | In the User Administration window, click Browse.
3 | Browse for and select the Secure Folder.
4 | Click OK. Result: The user security setup is completed.
5 | Close the User Administration window.


IQTL SecurITy features

Introduction

How to use the Version Control Tool

Analyze a multiplex image

View data and print reports

Archive and delete data


Introduction

This section summarizes the workflow for secure analysis in IQTL SecurITy and will guide you through the processes involved in managing your image versions with the IQTLSecurITy Version Control Tool. In order to understand the version control workflow, image analysis is mentioned briefly. For information about how to perform image analysis, see 1D gel analysis.

Pre-requisites

To run through this tutorial you must have installed the IQTLSecurITy program on your computer, as described in and have completed the Security setup, as described in Assign IQTL SecurITy user privileges, Secure Folder, and Connect IQTLSecurITy and the Secure Folder.

Multiple versions

Version control is generally defined as the management of multiple versions of the same unit of information. In the IQTLSecurITy Version Control Tool, multiple versions of analyzed 1D gel electrophoresis images are managed. All versions are stored in a Secure Folder on the network.

Before using the gel analysis software IQTLSecurITy 1D Gel Analysis, the gel images must be added to the Secure Folder. When a gel image is opened in the gel analysis software, an experiment is created and the image is stored temporarily as a working copy in a local folder. After edits and analyses, the experiment obtains a version number when it is stored in, checked in to, the Secure Folder. The version number is upgraded for each new version of the experiment that is stored, while the old versions remain unmodified.

Purpose of versions

The purpose of these versions of the experiment is to retain a history of the experiment for future reviews. Each version of an IQTLSecurITy experiment holds enough information for the analysis to be repeated using the gel analysis software.

Note:

Always use IQTLSecurITy 1D Gel Analysis for all analyses of your images to ensure traceability. Do not use the basic IQTL 1D Gel Analysis software if you already have created an IQTLSecurITy experiment.
Password protection

The Secure Folder is accessed via the IQTLSecurITy Version Control Tool, which is password protected for tracking and security purposes. As a personal password is required for analyzing an image, it is possible to audit the actions of each user.

The IQTLSecurITy 1D Gel Analysis module is also password protected.

Program design and analysis workflow

The overall concept of the system relies on a Secure Folder that stores all the saved data and audit information. From this folder you retrieve a working copy of the image, to edit locally with the gel analysis software IQTLSecurITy 1D Gel Analysis. After analysis the changed data is stored in the Secure Folder. The original image data is never changed. All analyses and data are approved (signed off) when the experiment is complete.

Additionally, old versions can be viewed. If required, experiments may be archived.

The IQTLSecurITy process usually follows the path described below.

Analysis Workflow | Phase | Description | IQTL SecurITy module
 | 1 | An image is added to the Secure Folder. | Version Control Tool
 | 2 | Click Start Analysis and a local working copy is created. | Version Control Tool
 | 3 | Analysis is performed in the 1D gel analysis software. When done, the program is closed. | 1D Gel Analysis
 | 4 | Analyzed data is stored in the Secure Folder, by clicking Store Analyzed Data. | Version Control Tool
 | 5 | Phases 2-4 are repeated if necessary. |
 | 6 | When the analyses are completed, the quality of the results of the experiment are checked by the Supervisor on a read-only copy. | Version Control Tool and 1D Gel Analysis
 | 7 | Phases 2-6 are repeated if necessary. |
 | 8 | The data is approved by the Supervisor when the results are acceptable, by clicking Approve Data. | Version Control Tool
Data audit reports

After an experiment has been stored, a PDF report can be created, showing all details of the gel analysis process leading to the results. The report can be used to audit the experiment against standard operating procedures.


How to use the Version Control Tool

In this section, a general workflow when using the Version Control is described. To be able to try out all the features, you will log on as a Supervisor.

Start the Version Control Tool

Step

Action

1

To start the IQTLSecurITy Version Control Tool, double-click its icon on the desktop.

2

In the Log On dialog, use your Windows login:

  1. Enter your User Name and Password and domain.

  2. Click OK.

Note:

If you do not have the correct privileges, see Assign IQTL SecurITy user privileges to set up your access correctly.
Main window of Version Control Tool

All the features of IQTLSecurITy Version Control Tool are accessed in the window Secure Folder Images.

In the main part of the window, the images currently stored in your Secure Folder are listed. The first time you start the software this will be empty.

On the right hand side, all commands are listed. When an image is selected, available commands are displayed. The greyed out commands are not available for the currently selected image while its status is unchanged. Commands are also greyed out depending on user rights (i.e., Supervisor, User or Viewer).

Add images to a Secure Folder
Step | Action
1 | Click Add Image File to the Secure Folder.
2 | In the dialog, browse for and select the image.
3 | Click Open. Result: the images appear in the main window list.
Start analysis of the image

Once an image has been added to the Secure Folder, any user with assigned privileges can start an analysis of the image. When an analysis is started a local working copy of the image (and the experiment file) is checked out to the selected working folder. As long as image is checked out for analysis, the image data is locked for editing by other users.

Note:

It is recommended to create a working folder on the local harddrive for this purpose before you start the analysis of the image.

Step | Action
1 | Select the first image from the list in the Main window and click Start Analysis.
2 | In the dialog, browse for and select a folder for the local working copy of the image.
3 | Click OK. Result: The user name and the local folder columns are updated for the selected image in the main window list.
Analyze the image

Once a local working copy has been created, gel analysis can be performed using the IQTLSecurITy 1D Gel Analysis Tool. To try out the process, make a simple analysis.

Step

Action

1

To start the IQTLSecurITy 1D Gel Analysis program:

  1. Double-click its icon on the desktop.

  2. Enter the license server, if necessary.

  3. Log on.

2

To open the image and create an experiment:

  1. Click the Open icon.

  2. Browse for and select the local working copy of the image.

  3. Click OK.

Result: The image is opened in the Image Window.

3

To create lanes:

  1. Click the Lane Creation icon.

  2. Click Stepwise.

  3. Select Automatic and click the Create icon.

4

Save the experiment.

5

Close the IQTLSecurITy 1D Gel Analysis Tool.
Store the new version

When the analysis is done, the experiment shall be saved in the Secure Folder as a new version as described below. Once saved, the version is locked for editing, but the image data can be checked out again for additional editing and saved with a new version number by users with assigned privileges.

Step

Action

1

Select the image from the main window list in the IQTLSecurITy Version Control Tool.

Note:

If you closed the program earlier, first open it and log on.

2

Click Store Analysed Data.

3

An Add comment dialog opens. Enter the comment Creation of lanes and click OK.

Note:

Comments are optional and can be omitted by clicking Cancel.

Result: The user name and the local folder columns are cleared for the selected image listed in the main window list.
Perform and undo analyses

Analyses made on the working copy can be undone as long as the version has not been stored in the Secure Folder.

To try out the ability to undo edits, perform another analysis on the same image.

Step

Action

1

In the IQTLSecurITy Version Control Tool, create a local working copy of the image in the same folder as before, see Start analysis of the image.

2

Start the IQTLSecurITy 1D Gel Analysis program and open the checked out image.

3

To subtract the background:

  1. Click the Background Subtraction icon.

  2. Click the Subtract icon.

4

Close IQTLSecurITy 1D Gel Analysis.

Undo the last edits and view the actions according to the instructions below.

Step

Action

1

In the IQTLSecurITy Version Control Tool, select the image in the main window list.

2

Click Undo Current Edits to undo the last edits done in IQTLSecurITy 1D Gel Analysis.

3

Select the image and click View Image History to see the result of these actions.

4

In the Image Data History window, identify that:

  • The actions Start Analysing data and Undo Current Edits have been recorded.

  • The version number has not changed.

5

Close the window.
Approve data and undo approval

The approval option is available for IQTLSecurITy Supervisors. The Supervisor must be logged on to the IQTLSecurITy Version Control Tool. Once image data is approved, it is signed off and locked for further analyses.

To approve data:

Step

Action

1

In the IQTLSecurITy Version Control Tool, select the image in the Main window list.

2

Click Approve Data.

3

Enter your login to verify your identity.

Note:

It is necessary to log on using the same login that was used for the Version Control tool. Otherwise, the approval is cancelled.

4

An Add comment dialog opens. Enter the comment Test experiment approved and click OK.

Note:

Comments are optional and can be omitted by clicking Cancel.

Result: The Approved column on the main window displays Yes. All editing options are unavailable (greyed out).

To undo an approval:

Step

Action

1

In the IQTLSecurITy Version Control Tool, select the image in the Main window list.

2

Click Undo Data Approval.

3

Enter your login to verify your identity.

4

An Add comment dialog opens. Enter the comment New findings and click OK.

Note:

Comments are optional and can be omitted by clicking Cancel.

Result: The Approved column is empty. Editing options are available again.

You can view your action by clicking View Image History.

In the Image Data History window, identify that:

  • The Approve Data and Undo Data Approval actions have been recorded.


Analyze a multiplex image

To create a multi-channel image in IQTL SecurITy, follow the steps below.

In IQTLSecurITy Version Control Tool

Step

Action

1

Open the IQTLSecurITy Version Control Tool module. Double-click its icon on the desktop.

2

In the Log On dialog, use your Windows login:

  1. Enter your User Name and Password and domain.

  2. Click OK.

Note:

If you do not have the correct privileges, see IQTL SecurITy user groups to set up your access correctly.

3

Click Add Image file to the Secure Folder.

4

In the dialog, browse for and select the image. Add up to 4 gel image files to the Secure Folder, one for each channel in the multi-channel image.

Note:

Select all the source files in a single operation. Use Shift-click to select adjacent files and Ctrl-click to select non-adjacent files.

5

Click Open.

Result: the images appear in the main window list.

6

Click Start Analysis to check out each the image files in the multi-channel image to be analyzed into the working folder.

Note:

Check out the image files in the multi-channel image by clicking Start Analysis for each of the image files individually.
In IQTLSecurITy 1D Gel Analysis

Step

Action

7

Open the IQTLSecurITy 1D Gel Analysis module.

  1. Double-click its icon on the desktop.

  2. Enter the license server, if necessary.

  3. Log on.

8

Choose File:Create Multiplex Image to create a multi-channel image. A Create Multiplex Image dialog opens.

9

Provide a name for your multi-channel image and select up to 4 image files from the working folder, one for each channel that you want to use. Use the Browse button to locate your files.

Note:

Select all the image files in a single operation. Use Shift-click to select adjacent files and Ctrl-click to select non-adjacent files.

10

Click Create. The files will be stored automatically in the working folder as a .ds file.

11

A IQTLSecurITy information dialog opens with a reminder to add the .ds files to the Secure Folder in the Version Control tool before the analysis of the multi-channel image can start.
In IQTLSecurITy Version Control Tool
Step | Action
12 | Change to the IQTLSecurITy Version Control Tool window.
13 | Click Add Image file to the Secure Folder to import the multi-channel image .ds file from the working folder to the Secure Folder.
14 | Select your multi-channel image .ds file.
15 | Click Start Analysis to check out your multi-channel image into the working folder.
In IQTLSecurITy 1D Gel Analysis
Step | Action
16 | Change to the IQTLSecurITy 1D Gel Analysis window.
17 | Open the multi channel image file from the working folder by opening the .ds file.
18 | Analyze the multiplex image.


View data and print reports

View read-only versions

Retrieve a read-only copy of an experiment to view the data that is stored in a Secure Folder without doing any analyses. For IQTLSecurITy Viewers, this is the only way to look at the data.

Step

Action

1

In the IQTLSecurITy Version Control Tool, select the image in the Main window list.

2

If you wish to view an old version of the experiment, click View Image History.

If you wish to view the latest stored version, continue to step 4.

3

In the Image Data History dialog, select one of the rows that concerns the version of interest.

4

Click Get Read-Only Local copy.

5

In the dialog, browse for and select a folder for the read-only copy of the image.

Note:

If you currently have an experiment checked out, then do not get a read-only copy of that particular experiment to the same working folder as where the checked out local copy resides. Your local edits to the checked out experiment will be overwritten by the read-only copy and your changes will get lost permanently. You must "undo check out" of your experiment to be able to continue, since your experiment will still be be "checked out" in the IQTLSecurITy Version Control Tool.

6

Click OK.

7

Start IQTLSecurITy 1D Gel Analysis and open the image.

8

View the image.

Note:

The image is opened in read-only mode.

9

Close IQTLSecurITy 1D Gel Analysis.
View and print a version audit trail

The various versions of the experiment can be viewed with the associated actions, and printed.

Step

Action

1

Click View Image History.

2

In the Image Data History window, identify that:

  • Each action is listed with details about time of creation, who performed it, what the action was, and any comment.

  • The versions are listed. When the image file was added and when the local copy was created, the actions were registered. The first version was created when the data was stored in the Secure Folder after the analysis.

3

Click Print Preview to preview the report.

4

In the Print Preview window, click the Print icon.

5

Choose printer and click OK.
Data audit reports

Create an audit report of the image analyses in pdf format. At a later occasion, an exact replication of the experiment can be performed by following the entries in the report.

Step | Action
1 | In the IQTLSecurITy Version Control Tool, select the image in the Main window list.
2 | If you wish to create a report of an old version of the experiment, click View Image History. If you wish to create a report of the latest stored version, continue to step 4.
3 | In the Image Data History dialog, select one of the rows that concerns the version of interest.
4 | Click View Data Audit Report. Result: The latest report is opened in the PDF Reader.
5 | Close the window.
Security audit trail

Several types of audit trails exist within the software. The Security Audit Trail uses the Event log of the operating system to monitor the following actions:

  • Log on to the IQTLSecurITy Version Control and QTLSecurITy 1D Gel Analysis software.

  • Log off IQTLSecurITy Version Control and QTLSecurITy 1D Gel Analysis software.

  • Failed log on to the IQTLSecurITy Version Control and QTLSecurITy 1D Gel Analysis software.

  • Addition of a user to a group using the IQTLSecurITy Administration Tool.

  • Removal of a user from a group using the IQTLSecurITy Administration Tool.

To view the event log:

Step | Action
1 | Open the Control Panel.
2 | Select Administration Tools and then Event Viewer.
3 | Select the event log IQTLSecurITy.

Note:

The information is displayed differently under Windows Vista and Windows 7.


Archive and delete data

If a Secure Folder is getting full or unmanageable, Supervisors can archive or delete an image and all related experiment data (all versions and the audit trail).

Note:

The Achive or the Delete actions are not themselves parts of the audit trail.

To archive data:

Step | Action
1 | In the IQTLSecurITy Version Control Tool, select the image in the main window list.
2 | Click Archive Data.
3 | In the Select Archive Filename dialog, select a folder and enter a name for the zip file that will be created.
4 | Click Open. Result: The image is removed from the main window list.

To undo an archiving:

Step

Action

1

Click Restore Data.

2

Select the zip file name.

3

Enter your login to verify your identity.

4

Click Open.

Result: The image is added from the main window list.

Note:

The image and all related files, including old versions and the audit trail, are restored to the Secure Folder.

Delete

Only Supervisors have the privileges to delete files and folders. Deletions are not part of the regular analysis workflow, and are performed separately from the IQTLSecurITy software. Deleted files and folders are permanently removed from the Secure Folders.

Note:

If only parts of the files belonging to an experiment are deleted, the resulting experiment will be corrupt.

Note:

The access rights to the Secure Folder must be properly set according to Secure Folder


Appendix

Concurrent eLicense

Start ImageQuant TL for the first time using a concurrent license

Licensing Server administrator


Concurrent eLicense

Installation of GE Healthcare’s eLicense server program

  • The eLicense can either be node locked or concurrent. How to use a node locked license is described in Starting the software. This Appendix will only describe how to use a concurrent license.

  • A concurrent license is handled by a license server to grant access for running ImageQuant TL. The license server is installed on one computer and ImageQuant TL can be installed on the same or any other computer, as long as it is on the same network as the license server computer.

  • If the license server is not installed, follow the instructions below.

Step | Action
1 | Click Install License Server on the IQTL Installation page. An InstallShield wizard dialog is displayed. Click Next.
2 | Click Next to accept the default destination folder.
3 | Click Install to start the installation.
4 | Click Finish.
Setup the eLicense server

The eLicense server must be setup correctly in order to use the license file.

Step | Action
1 | Place the license file in the license file path used by the eLicense server. The default folder in Windows XP is C:\Program Files\GE Healthcare\eLicense server\licenses. To confirm the setup, see View configuration settings.
2 | Restart the computer for the eLicense server to initialize.


Start ImageQuant TL for the first time using a concurrent license

After installation of an ImageQuant TL software, downloading and placing the license file, start IQTL on all computers where the program is installed to let the computers find the license file on the network.

The previous steps installing and setting up the eLicense server must have been successfully completed before starting ImageQuant TL.

Note:

ImageQuant TL will use the last used license if it is still available and valid. If you want it to use another license, disable (make sure the program cannot find) the license type(s) that should not be used by, for example, disconnecting the relevant network during start.

Step | Action
1 | Start ImageQuant TL or IQTL SecurITy 1D Gel Analysis tool by clicking its icon. The ImageQuant TL License Setup Wizard dialog is displayed.
2 | Select the I am using a Floating E-license radio button and click next. The next page in the wizard is displayed.
3 | By default, localhost (the computer you are using) is entered as License Server. If the license file and the GE Healthcare Software Licensing Server are placed on another computer, enter the network name of the machine. Click Finish. Once the license file is found, the ImageQuant TL software will start.


Licensing Server administrator

GE Healthcare Software Licensing Server tools (LMTOOLS) is a dialog for the advanced user, containing information and tools for the elicense server program.

The most useful tabs are

System Setting

Config Services

Start/Stop/Reread

Server Status

Note:

Using LMTOOLS to control the license server is covered in detail in the Macrovision Licensing End User Manual.
Open the tool

Open the LMTOOLS utility by locating the folder where [image] the license server installation is stored, and double-click lmtools.exe. LMTOOLS opens.

View the Host-ID of the computer

The Host-ID, also called Ethernet MAC address, identifies the computer and is used to activate the eLicense.

Step | Action
1 | Click the System Settings tab. The Host-ID is displayed in the Ethernet Address text box.
View configuration settings

Step

Action

1

Click the Config Services tab to display the configuration of the eLicense server.

2

Use the configuration displayed below for IQTL.

The field Path to the license file is the directory where the floating license file should be placed. The default directory for floating license files is C:\Program Files\GE Healthcare\eLicense Server\Licenses. Do not change the default path.

By default Use Services is selected, to run the license server as a Windows Service. By default Start Service at Power Up is also selected, to automatically start the license server when the machine boots.

3

Click Save Service even if you made no changes in step 2.

4

Select the Start/Stop/Reread tab to control the license manager.

Information about the license file is displayed at the bottom of the dialog.

5

Click the Reread License File button to update the license file information. Then, it displays Reread Server License File Completed.

6

Select the Server Status tab and press the Perform Status Enquiry button to confirm that the License Server is operating with the selected license.

Scroll to the bottom of the text box. The information given here will confirm that the License has been accepted and the License Server is operable.

7

Select File:Exit.
Change license configuration

If the set of licenses needs to be changed on an eLicense server that is already installed and in operation, perform the following steps:

Step

Action

1

Make sure that all licenses offered by the eLicense server are checked in. All eLicense server users must have returned their license to the server, that is, closed their program windows.

Control this by:

Open the Server Status tab.

Press the Perform Status Enquiry button.

Scroll to the bottom of the text box.

The information given here will confirm that no license is in use.

2

Click the Start/Stop/Reread tab and stop the eLicense server by pressing the Stop Server button.

3

Update the set of licenses that should be used by the eLicense server, for example, if a new license shall be added, copy it to the folder where the current set of eLicenses resides, by default C:\Program Files\GE Healthcare\eLicense Server\Licenses.

Please observe that all licenses in this folder must be valid and have the same vendor name, in our case, gehealth.

4

In the LMTOOLS Start/Stop/Reread tab, press the Start server button to restart the eLicense server.

5

Select the Server Status tab and press the Perform Status Enquiry button to confirm that the new set of licenses has been accepted and are available as expected.

Scroll to the bottom of the text box. The information given here will confirm that the License has been accepted and the License Server is operable.

6

Select File:Exit.